package com.bettersoft.api.dao.implement;

import java.util.List;
import java.util.Map;

import org.apache.commons.collections.MapUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Repository;

import com.bettersoft.api.dao.interfaces.IOnlinePrepayDao;
import com.bettersoft.api.model.OnlinePrepayBean;
import com.bettersoft.api.utils.Constants;

@Repository("onlinePrepayDao")
public class OnlinePrepayDao extends BaseDao implements IOnlinePrepayDao {

	 public void saveOnlinePrepay(String brandcode, String orderno, String out_trade_no, String paymentCode, String amount, String paydate, String status,String strstorecode) throws Exception {
	        String inSql = "insert into Onlineprepay(brandcode,orderno,out_trade_no,paymentCode,amount,paydate,status,strstorecode) values ('"
	                + brandcode + "','" + orderno + "','" + out_trade_no + "','" + paymentCode + "','" + amount + "',cast('"+ paydate+ "' as timestamp)," + status +",'"+strstorecode+"')";
	        this.updataByOriginSql(inSql);
	 }
	 public List<Map<String, Object>> searchList(Map<String, Object> queryParam) throws Exception {
	        String fromHql = "select new map (brandcode as brandcode, orderno as orderno, out_trade_no as out_trade_no, paymentCode as paymentCode,"
	                + "amount as amount, status as status,to_char(paydate,'YYYY-MM-DD HH24:MI:SS') as paydate ) from OnlinePrepayBean where status=0";
	        return this.generalSearch(fromHql, queryParam, "order by out_trade_no");
	}

	public void updateOnlinePrepay( String out_trade_no, String status) throws Exception {
	        String updateHql = "update OnlinePrepayBean set status = " + status + "  where  out_trade_no = '" + out_trade_no +"'";

	        this.executeByHql(updateHql,null);
	}
   	public List<OnlinePrepayBean> searchListBean(Map<String, Object> queryParam) throws Exception {
        String fromHql = "from OnlinePrepayBean";
        return this.generalSearch(fromHql, queryParam, MapUtils.getString(queryParam, Constants.QUERY_ORDER_BY, StringUtils.EMPTY));
    }
	
	public void deletePrepay() {
		// TODO Auto-generated method stub
		String sql = "delete from Onlineprepay where paydate < current_date";
        this.updataByOriginSql(sql);
	}

	@Override
	public List<OnlinePrepayBean> queryListBean(Map<String, Object> map) {
		String fromHql = "from OnlinePrepayBean";
		return this.generalSearch(fromHql, map, "ORDER BY out_trade_no DESC ");
	}
}
