package com.bettersoft.api.dao.implement;

import java.util.List;
import java.util.Map;

import org.apache.commons.collections.MapUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Repository;

import com.bettersoft.api.dao.interfaces.IOnlineorderpDao;
import com.bettersoft.api.model.OnlineorderpBean;
import com.bettersoft.api.utils.Constants;

@Repository("onlineorderpDao")
public class OnlineorderpDao extends BaseDao implements IOnlineorderpDao {

    public List<OnlineorderpBean> searchList(Map<String, Object> queryParam) throws Exception {
        String fromHql = "from OnlineorderpBean";
        return this.generalSearch(fromHql, queryParam, MapUtils.getString(queryParam, Constants.QUERY_ORDER_BY, StringUtils.EMPTY));
    }

    public Number searchCount(Map<String, Object> queryParam) throws Exception {
        String fromHql = "from OnlineorderpBean";
        return this.generalCount(fromHql, queryParam);
    }

    public void saveOnlineOrderPayment(String brandcode, String orderno, int line, int paymentCode, String paymentName, double amount, String ifOrderNo, String openid, String remark, String payDate, String createUser) throws Exception {
        String inSql = "insert into onlineorderp(brandcode,orderno,line,paymentcode,paymentname,amount,if_orderno,openid,remark,payDate,creatuser,creatDate) values ('"
                + brandcode + "','" + orderno + "'," + line + "," + paymentCode + ",'" + paymentName + "'," + amount + ",'" + ifOrderNo + "','" + openid + "','"
                + remark + "',to_timestamp('" + payDate + "', 'yyyyMMddhh24miss'),'" + createUser + "',now())";
        this.updataByOriginSql(inSql);
    }
    @SuppressWarnings("unchecked")
	public void updateOnlineorderpRemark(String orderNo, int line, String remark) throws Exception {
	        String updateHql = "update OnlineorderpBean set remark = '" + remark + "'  where orderno = '" + orderNo + "' and line = " + line ;

	        this.executeByHql(updateHql, null);
	}
}
