package com.bettersoft.api.dao.implement;

import java.util.List;
import java.util.Map;

import org.apache.commons.collections.MapUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Repository;

import com.bettersoft.api.dao.interfaces.ISystemLogDao;
import com.bettersoft.api.model.SystemLogOperatorBean;
import com.bettersoft.api.utils.Constants;

@Repository("systemLogDao")
public class SystemLogDao extends BaseDao implements ISystemLogDao {

	public List<SystemLogOperatorBean> searchLogOperators(
			Map<String, Object> queryParam) throws Exception {
		String fromHql = "from SystemLogOperatorBean";

		return this.generalSearch(fromHql, queryParam, MapUtils.getString(
				queryParam, Constants.QUERY_ORDER_BY, StringUtils.EMPTY));
	}

	public Number searchLogOperatorCount(Map<String, Object> queryParam)
			throws Exception {
		String fromHql = "from SystemLogOperatorBean";

		return this.generalCount(fromHql, queryParam);
	}
}
