package com.bettersoft.api.dao.implement;

import java.util.List;
import java.util.Map;

import org.apache.commons.collections.MapUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Repository;

import com.bettersoft.api.dao.interfaces.ISystemPermissionDao;
import com.bettersoft.api.model.SystemPermissionBean;
import com.bettersoft.api.utils.Constants;

@Repository("systemPermissionDao")
public class SystemPermissionDao extends BaseDao implements
		ISystemPermissionDao {

	public List<SystemPermissionBean> searchPermissions(
			Map<String, Object> queryParam) throws Exception {
		String fromHql = "from SystemPermissionBean";

		return this.generalSearch(fromHql, queryParam, MapUtils.getString(
				queryParam, Constants.QUERY_ORDER_BY, StringUtils.EMPTY));
	}

	public Number searchPermissionCount(Map<String, Object> queryParam)
			throws Exception {
		String fromHql = "from SystemPermissionBean";

		return this.generalCount(fromHql, queryParam);
	}
}