package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.LoginUserToken;
import com.bettersoft.api.model.MenuTreeBean;
import com.bettersoft.api.model.SystemUserStoreBean;

public interface IAuthorizationDao extends IBaseDao {
    public List<MenuTreeBean> searchMenuTrees(Map<String, Object> queryParam)
            throws Exception;

    public LoginUserToken findLoginToken(String token) throws Exception;

    public LoginUserToken findLoginTokenByRefresh(String refreshToken) throws Exception;

    public List<SystemUserStoreBean> searchAuthStores(String userCode) throws Exception;
}
