package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.ProvincialAreaBean;
import com.bettersoft.api.model.SystemConfigurationBean;

import comm.hibernate.IBaseHibernateDao;

public interface IBaseDao extends IBaseHibernateDao {
	public SystemConfigurationBean findConfigurationByCode(String configCode)
			throws Exception;

	public List<Map<String, Object>> searchPermissions() throws Exception;

	public List<SystemConfigurationBean> searchConfigurations()
			throws Exception;

	public List<ProvincialAreaBean> searchProvincials() throws Exception;

	public Number nextSequance(String sequanceName) throws Exception;
}
