package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.OnlinePrepayBean;


public interface IOnlinePrepayDao extends IBaseDao {
    
    public void saveOnlinePrepay(String brandcode, String orderno, String out_trade_no, String paymentCode, String amount, String paydate, String status,String strstorecode) throws Exception;
    
    public List<Map<String, Object>> searchList(Map<String, Object> queryParam) throws Exception ;
    
    public void updateOnlinePrepay( String out_trade_no, String status) throws Exception ;
    
    public List<OnlinePrepayBean> searchListBean(Map<String, Object> queryParam) throws Exception ;

	public void deletePrepay();

    List<OnlinePrepayBean> queryListBean(Map<String, Object> map);
}
