package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.Entity.OnlineorderpList;
import com.bettersoft.api.model.OnlineItemBean;
import com.bettersoft.api.model.OnlinePrepayBean;
import com.bettersoft.api.model.OnlineorderdBean;
import com.bettersoft.api.model.OnlineorderhBean;

public interface IOnlineorderhDao extends IBaseDao {
    public List<OnlineorderhBean> searchList(Map<String, Object> queryParam) throws Exception;

    public Number searchCount(Map<String, Object> queryParam) throws Exception;

    public List<OnlineorderdBean> searchOrderDetails(Map<String, Object> queryParam) throws Exception;

    public boolean isOrderSettle(String storeCode, String tableCode) throws Exception;

    // 查询当天最近一次订单
    public OnlineorderhBean findLastOnlineOrder(String storeCode, String tableCode) throws Exception;

    public OnlineItemBean findOnlineItem(String storeCode, int itemId) throws Exception;

    public int getDaysn(String storeCode) throws Exception;

    public int getSubOrderNo(String orderNo) throws Exception;

    public int getMaxLineNo(String orderNo) throws Exception;

    public String getItemType(int itemId) throws Exception;

    public void saveOnlineOrderDetail(String brandcode, String orderno, int suborderno, int line, String linetype,
                                      String pname, String pmodify, int qty, Double price, int orderfrom, String userName, Integer intitemno, String remark) throws Exception;

    public void updateOnlineOrderStatus(String orderNo, int status) throws Exception;

    public List<OnlineorderpList> findOnlineorderhListByOpenId(String openId) throws Exception;
    public List<OnlinePrepayBean> findOnlineorderhOrderNoByOpenId(String openId) throws Exception;
}
