package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.MenuTreeBean;
import com.bettersoft.api.model.SystemMenuPermissionBean;
import com.bettersoft.api.model.SystemPermissionBean;

public interface ISystemMenuTreeDao extends IBaseDao {

	public List<MenuTreeBean> searchMenuTrees(Map<String, Object> queryParam)
			throws Exception;

	public List<Map<String, Object>> searchMenuTreesGrid(
			Map<String, Object> queryParam) throws Exception;

	public Number searchMenuTreeCount(Map<String, Object> queryParam)
			throws Exception;

	public List<SystemPermissionBean> searchPermissions(
			Map<String, Object> queryParam) throws Exception;

	public SystemMenuPermissionBean searchMenuPermission(String menuCode,
			String permissionCode) throws Exception;
}
