package com.bettersoft.api.exceptions;

public class RemoteWebServiceException extends RuntimeException {
	private static final long serialVersionUID = -4468287007037373808L;

	private String errorCode;

	public RemoteWebServiceException() {
		super();
	}

	public RemoteWebServiceException(Throwable cause) {
		super(cause);
	}

	public RemoteWebServiceException(String message) {
		super(message);
	}

	public RemoteWebServiceException(String message, Throwable cause) {
		super(message, cause);
	}

	public RemoteWebServiceException(String errorCode, String message) {
		super(message);
		this.errorCode = errorCode;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}
}
