package com.bettersoft.api.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.FORBIDDEN)
public class ValidateAuthorityFailedException extends RuntimeException {
	private static final long serialVersionUID = 3313872000123881151L;

	public ValidateAuthorityFailedException() {
		super();
	}

	public ValidateAuthorityFailedException(Throwable cause) {
		super(cause);
	}

	public ValidateAuthorityFailedException(String message) {
		super(message);
	}

	public ValidateAuthorityFailedException(String message, Throwable cause) {
		super(message, cause);
	}
}
