package com.bettersoft.api.exceptions;

import org.springframework.http.HttpStatus;

import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.UNAUTHORIZED)
public class ValidateExpirationFailedException extends RuntimeException {
	private static final long serialVersionUID = 3313872000123881151L;

	public ValidateExpirationFailedException() {
		super();
	}

	public ValidateExpirationFailedException(Throwable cause) {
		super(cause);
	}

	public ValidateExpirationFailedException(String message) {
		super(message);
	}

	public ValidateExpirationFailedException(String message, Throwable cause) {
		super(message, cause);
	}
}
