package com.bettersoft.api.model;

import org.checkerframework.checker.units.qual.C;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "barcode")
public class BarcodeBean extends BaseBean implements java.io.Serializable{

    private int intitemno;
    private String strbarcode;
    private String strextsref1;

    @Id
    @Column(name = "intitemno")
    public int getIntitemno() {
        return intitemno;
    }

    public void setIntitemno(int intitemno) {
        this.intitemno = intitemno;
    }

    @Column(name = "strbarcode")
    public String getStrbarcode() {
        return strbarcode;
    }

    public void setStrbarcode(String strbarcode) {
        this.strbarcode = strbarcode;
    }

    @Column(name = "strextsref1")
    public String getStrextsref1() {
        return strextsref1;
    }

    public void setStrextsref1(String strextsref1) {
        this.strextsref1 = strextsref1;
    }
}
