package com.bettersoft.api.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 购物车
 */
public class BuyCart
{

	// 购物项 集合
	List<BuyItem> items = new ArrayList<BuyItem>();

	private int totalAmount;

	private Double totalPrice;

	public List<BuyItem> getItems()
	{
		return items;
	}

	public void setItems(List<BuyItem> items)
	{
		this.items = items;
	}

	public int getTotalAmount()
	{
		return totalAmount;
	}

	public void setTotalAmount(int totalAmount)
	{
		this.totalAmount = totalAmount;
	}

	public Double getTotalPrice()
	{
		return totalPrice;
	}

	public void setTotalPrice(Double totalPrice)
	{
		this.totalPrice = totalPrice;
	}

	// 添加方法
	public void addItem(BuyItem item)
	{
		// 判断是否重复
		if (items.contains(item))
		{
			for (BuyItem it : items)
			{
				if (it.equals(item))
				{
					int result = it.getQuantity() + item.getQuantity();
					it.setQuantity(result);
				}
			}

		}
		else
		{

			items.add(item);
		}
	}
	
	//删除一个
	public void deleteItem(BuyItem item)
	{
		items.remove(item);
	}
}
