package com.bettersoft.api.model;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.sql.Timestamp;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "bs_login_token")
public class LoginUserToken extends BaseBean {
    private String loginId;
    private String loginUser;
    private String token;
    private String refreshToken;
    private String loginTicket;
    private Timestamp expireTime;
    private String sessionId;
    private String platform;

    @Id
    @Column(name = "bs_loginid")
    public String getLoginId() {
        return loginId;
    }

    public void setLoginId(String loginId) {
        this.loginId = loginId;
    }

    @Column(name = "bs_loginuser")
    public String getLoginUser() {
        return loginUser;
    }

    public void setLoginUser(String loginUser) {
        this.loginUser = loginUser;
    }

    @Column(name = "bs_token")
    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    @Column(name = "bs_refreshtoken")
    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    @Column(name = "bs_loginticket")
    public String getLoginTicket() {
        return loginTicket;
    }

    public void setLoginTicket(String loginTicket) {
        this.loginTicket = loginTicket;
    }

    @Column(name = "bs_expiretime")
    public Timestamp getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Timestamp exprieTime) {
        this.expireTime = exprieTime;
    }

    @Column(name = "bs_sessionid")
    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    @Column(name = "bs_platform")
    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
