package com.bettersoft.api.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ModifierDtl")
public class ModifierDtlBean extends BaseBean implements java.io.Serializable
{
	private Integer intModifierNo;//Modifier Code
	private Integer intSortNo;//流水號
	private String strText;//文字描述(ex:去冰/少冰/多冰)
	private Integer intItemNo;//Item No
	private String ysnDefaultSelected;//T:預設選取
	@Column(name = "intModifierNo")
	public Integer getIntModifierNo() 
	{		
		return intModifierNo;
	}
	public void setIntModifierNo(Integer intModifierNo) 
	{
		this.intModifierNo = intModifierNo;
	}
	@Id
	@Column(name = "intSortNo")
	public Integer getIntSortNo() 
	{		
		return intSortNo;
	}
	public void setIntSortNo(Integer intSortNo) 
	{
		this.intSortNo = intSortNo;
	}
	@Column(name = "strText")
	public String getStrText() 
	{		
		return strText;
	}
	public void setStrText(String strText) 
	{
		this.strText = strText;
	}
	@Column(name = "intItemNo")
	public Integer getIntItemNo() 
	{		
		return intItemNo;
	}
	public void setIntItemNo(Integer intItemNo) 
	{
		this.intItemNo = intItemNo;
	}
	@Column(name = "ysnDefaultSelected")
	public String getYsnDefaultSelected() 
	{		
		return ysnDefaultSelected;
	}
	public void setYsnDefaultSelected(String ysnDefaultSelected) 
	{
		this.ysnDefaultSelected = ysnDefaultSelected;
	}

}
