package com.bettersoft.api.model;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ModifierHdr")
public class ModifierHdrBean extends BaseBean implements java.io.Serializable
{
	private Integer intModifierNo;//Modifier
	private String strModifierName;//Modifier
	private String ysnSkipWhenSMI;//Skip
	private String ysnPublic;//是否公用？
	private String ysnCanMultiSelect;//是否可多選？
	private String ysnRequired;//必須至少選擇一個？
	private String ysnAutoFill;//自動填入其他對應位置?
	private Date dtmCreate;//建立的日期時間
	private Date dtmLastUpdate;//最後異動的日期時間
	private String strCreator;//新增者
	private String strLastUpdatePerson;//最後異動者
	
	private List<ModifierDtlBean> modifierDtlBeans;
	@Transient
	public List<ModifierDtlBean> getModifierDtlBeans()
	{
		return modifierDtlBeans;
	}
	public void setModifierDtlBeans(List<ModifierDtlBean> modifierDtlBeans)
	{
		this.modifierDtlBeans = modifierDtlBeans;
	}
	@Id
	@Column(name = "intModifierNo")
	public Integer getIntModifierNo()
	{
		return intModifierNo;
	}
	public void setIntModifierNo(Integer intModifierNo)
	{
		this.intModifierNo = intModifierNo;
	}
	@Column(name = "strModifierName")
	public String getStrModifierName() 
	{		
		return strModifierName;
	}
	public void setStrModifierName(String strModifierName) 
	{
		this.strModifierName = strModifierName;
	}
	@Column(name = "ysnSkipWhenSMI")
	public String getYsnSkipWhenSMI() 
	{		
		return ysnSkipWhenSMI;
	}
	public void setYsnSkipWhenSMI(String ysnSkipWhenSMI) 
	{
		this.ysnSkipWhenSMI = ysnSkipWhenSMI;
	}
	@Column(name = "ysnPublic")
	public String getYsnPublic() 
	{		
		return ysnPublic;
	}
	public void setYsnPublic(String ysnPublic) 
	{
		this.ysnPublic = ysnPublic;
	}
	@Column(name = "ysnCanMultiSelect")
	public String getYsnCanMultiSelect() 
	{		
		return ysnCanMultiSelect;
	}
	public void setYsnCanMultiSelect(String ysnCanMultiSelect) 
	{
		this.ysnCanMultiSelect = ysnCanMultiSelect;
	}
	@Column(name = "ysnRequired")
	public String getYsnRequired() 
	{		
		return ysnRequired;
	}
	public void setYsnRequired(String ysnRequired) 
	{
		this.ysnRequired = ysnRequired;
	}
	@Column(name = "ysnAutoFill")
	public String getYsnAutoFill() 
	{		
		return ysnAutoFill;
	}
	public void setYsnAutoFill(String ysnAutoFill) 
	{
		this.ysnAutoFill = ysnAutoFill;
	}
	@Column(name = "dtmCreate")
	public Date getDtmCreate() 
	{		
		return dtmCreate;
	}
	public void setDtmCreate(Date dtmCreate) 
	{
		this.dtmCreate = dtmCreate;
	}
	@Column(name = "dtmLastUpdate")
	public Date getDtmLastUpdate() 
	{		
		return dtmLastUpdate;
	}
	public void setDtmLastUpdate(Date dtmLastUpdate) 
	{
		this.dtmLastUpdate = dtmLastUpdate;
	}
	@Column(name = "strCreator")
	public String getStrCreator() 
	{		
		return strCreator;
	}
	public void setStrCreator(String strCreator) 
	{
		this.strCreator = strCreator;
	}
	@Column(name = "strLastUpdatePerson")
	public String getStrLastUpdatePerson() 
	{		
		return strLastUpdatePerson;
	}
	public void setStrLastUpdatePerson(String strLastUpdatePerson) 
	{
		this.strLastUpdatePerson = strLastUpdatePerson;
	}

}
