package com.bettersoft.api.model;

import org.checkerframework.checker.units.qual.C;
import org.checkerframework.common.reflection.qual.ClassBound;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Onlineuser")
public class OnlineUserBean extends BaseBean implements java.io.Serializable{
    private String brandcode;
    private String openid;
    private String unionid;
    private String wxnickname;
    private String wxuserimgurl;
    private Integer memberflg;
    private Integer msgpushflg;
    private String memberCard;
    private String membermobile;
    private Date updateDate;
    private Date creatDate;

    @Column(name = "brandcode")
    public String getBrandcode() {
        return brandcode;
    }

    public void setBrandcode(String brandcode) {
        this.brandcode = brandcode;
    }

    @Id
    @Column(name = "openid")
    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    @Column(name = "unionid")
    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    @Column(name = "wxnickname")
    public String getWxnickname() {
        return wxnickname;
    }

    public void setWxnickname(String wxnickname) {
        this.wxnickname = wxnickname;
    }

    @Column(name = "wxuserimgurl")
    public String getWxuserimgurl() {
        return wxuserimgurl;
    }

    public void setWxuserimgurl(String wxuserimgurl) {
        this.wxuserimgurl = wxuserimgurl;
    }

    @Column(name = "memberflg")
    public Integer getMemberflg() {
        return memberflg;
    }

    public void setMemberflg(Integer memberflg) {
        this.memberflg = memberflg;
    }

    @Column(name = "msgpushflg")
    public Integer getMsgpushflg() {
        return msgpushflg;
    }

    public void setMsgpushflg(Integer msgpushflg) {
        this.msgpushflg = msgpushflg;
    }

    @Column(name = "membercard")
    public String getMemberCard() {
        return memberCard;
    }

    public void setMemberCard(String memberCard) {
        this.memberCard = memberCard;
    }

    @Column(name = "membermobile")
    public String getMembermobile() {
        return membermobile;
    }

    public void setMembermobile(String membermobile) {
        this.membermobile = membermobile;
    }

    @Column(name = "updatedate")
    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Column(name = "creatdate")
    public Date getCreatDate() {
        return creatDate;
    }

    public void setCreatDate(Date creatDate) {
        this.creatDate = creatDate;
    }
}
