package com.bettersoft.api.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Onlineorderh")
public class OnlineorderhBean extends BaseBean implements java.io.Serializable {
    private String orderno;//订单号
    private String brandcode;//品牌编号
    private String strstorecode;//门店编号
    private String tablecode;//桌位号
    private Integer daysn;//门店日流水号
    private Date dtorderstart;//开单时间
    private Date dtorderupdate;//最后下单时间
    private Integer qty;//商品数量
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Double discountamount;//折扣金额
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Double amountyf;//应付金额
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Double amountsf;//实付金额
    private Integer offlineupdateflg;//门店下单标志
    private Integer status;//订单状态
    private String customername;//收货人
    private String customeraddress;//地址
    private String customermobile;//电话
    private String remark;//订单备注
    private String hopetime;//期望送达
    private String updateuser;//更新者
    private Date updateDate;//更新日
    private String creatuser;//生成者
    private Date creatDate;//生成日
    private String posorderno;
    private String openId;
    private String unionid;
    private Integer msgpushflg;
    private Integer foodoutflg;
    private Integer msgpushresult;
    private String msgpushdate;
    private Integer customerqty;
    private String crm_serialnumber;

    public String getCrm_serialnumber() {
        return crm_serialnumber;
    }

    public void setCrm_serialnumber(String crm_serialnumber) {
        this.crm_serialnumber = crm_serialnumber;
    }

    @Id
    @Column(name = "orderno")
    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno;
    }

    @Column(name = "brandcode")
    public String getBrandcode() {
        return brandcode;
    }

    public void setBrandcode(String brandcode) {
        this.brandcode = brandcode;
    }

    @Column(name = "strstorecode")
    public String getStrstorecode() {
        return strstorecode;
    }

    public void setStrstorecode(String strstorecode) {
        this.strstorecode = strstorecode;
    }

    @Column(name = "tablecode")
    public String getTablecode() {
        return tablecode;
    }

    public void setTablecode(String tablecode) {
        this.tablecode = tablecode;
    }

    @Column(name = "daysn")
    public Integer getDaysn() {
        return daysn;
    }

    public void setDaysn(Integer daysn) {
        this.daysn = daysn;
    }

    @Column(name = "dtorderstart")
    public Date getDtorderstart() {
        return dtorderstart;
    }

    public void setDtorderstart(Date dtorderstart) {
        this.dtorderstart = dtorderstart;
    }

    @Column(name = "dtorderupdate")
    public Date getDtorderupdate() {
        return dtorderupdate;
    }

    public void setDtorderupdate(Date dtorderupdate) {
        this.dtorderupdate = dtorderupdate;
    }

    @Column(name = "qty")
    public Integer getQty() {
        return qty;
    }

    public void setQty(Integer qty) {
        this.qty = qty;
    }

    @Column(name = "discountamount")
    public Double getDiscountamount() {
        return discountamount;
    }

    public void setDiscountamount(Double discountamount) {
        this.discountamount = discountamount;
    }

    @Column(name = "amountyf")
    public Double getAmountyf() {
        return amountyf;
    }

    public void setAmountyf(Double amountyf) {
        this.amountyf = amountyf;
    }

    @Column(name = "amountsf")
    public Double getAmountsf() {
        return amountsf;
    }

    public void setAmountsf(Double amountsf) {
        this.amountsf = amountsf;
    }

    @Column(name = "offlineupdateflg")
    public Integer getOfflineupdateflg() {
        return offlineupdateflg;
    }

    public void setOfflineupdateflg(Integer offlineupdateflg) {
        this.offlineupdateflg = offlineupdateflg;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "customername")
    public String getCustomername() {
        return customername;
    }

    public void setCustomername(String customername) {
        this.customername = customername;
    }

    @Column(name = "customeraddress")
    public String getCustomeraddress() {
        return customeraddress;
    }

    public void setCustomeraddress(String customeraddress) {
        this.customeraddress = customeraddress;
    }

    @Column(name = "customermobile")
    public String getCustomermobile() {
        return customermobile;
    }

    public void setCustomermobile(String customermobile) {
        this.customermobile = customermobile;
    }

    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(name = "hopetime")
    public String getHopetime() {
        return hopetime;
    }

    public void setHopetime(String hopetime) {
        this.hopetime = hopetime;
    }

    @Column(name = "updateuser")
    public String getUpdateuser() {
        return updateuser;
    }

    public void setUpdateuser(String updateuser) {
        this.updateuser = updateuser;
    }

    @Column(name = "updateDate")
    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Column(name = "creatuser")
    public String getCreatuser() {
        return creatuser;
    }

    public void setCreatuser(String creatuser) {
        this.creatuser = creatuser;
    }

    @Column(name = "creatDate")
    public Date getCreatDate() {
        return creatDate;
    }

    public void setCreatDate(Date creatDate) {
        this.creatDate = creatDate;
    }

    @Column(name = "posorderno")
    public String getPosorderno() {
        return posorderno;
    }

    public void setPosorderno(String posorderno) {
        this.posorderno = posorderno;
    }

    @Column(name = "openid")
    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    @Column(name = "unionid")
    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    @Column(name = "msgpushflg")
    public Integer getMsgpushflg() {
        return msgpushflg;
    }

    public void setMsgpushflg(Integer msgpushflg) {
        this.msgpushflg = msgpushflg;
    }

    @Column(name = "foodoutflg")
    public Integer getFoodoutflg() {
        return foodoutflg;
    }

    public void setFoodoutflg(Integer foodoutflg) {
        this.foodoutflg = foodoutflg;
    }

    @Column(name = "msgpushresult")
    public Integer getMsgpushresult() {
        return msgpushresult;
    }

    public void setMsgpushresult(Integer msgpushresult) {
        this.msgpushresult = msgpushresult;
    }

    @Column(name = "msgpushdate")
    public String getMsgpushdate() {
        return msgpushdate;
    }

    public void setMsgpushdate(String msgpushdate) {
        this.msgpushdate = msgpushdate;
    }

    @Column(name = "customerqty")
    public Integer getCustomerqty() {
        return customerqty;
    }

    public void setCustomerqty(Integer customerqty) {
        this.customerqty = customerqty;
    }
}
