package com.bettersoft.api.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Onlineorderp")
public class OnlineorderpBean extends BaseBean implements java.io.Serializable
{
	private String orderno;//品牌
	private String brandcode;//订单号
	private Integer line;//行号
	private Integer paymentcode;//支付代码
	private String paymentname;//支付名称
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private Double amount;//支付金额
	private String if_orderno;//三方支付订单号
	private String openid;//微信openid
	private String remark;//文本备用
	private Date payDate;//支付成功时间
	private String creatuser;//生成者
	private Date creatDate;//生成日
	
	@Id 
	@Column(name = "orderno")
	public String getOrderno() 
	{		
		return orderno;
	}
	public void setOrderno(String orderno) 
	{
		this.orderno = orderno;
	}
	@Column(name = "line")
	public Integer getLine()
	{
		return line;
	}
	public void setLine(Integer line)
	{
		this.line = line;
	}
	@Column(name = "paymentcode")
	public Integer getPaymentcode()
	{
		return paymentcode;
	}
	public void setPaymentcode(Integer paymentcode)
	{
		this.paymentcode = paymentcode;
	}
	@Column(name = "brandcode")
	public String getBrandcode() 
	{		
		return brandcode;
	}
	public void setBrandcode(String brandcode) 
	{
		this.brandcode = brandcode;
	}
	@Column(name = "paymentname")
	public String getPaymentname() 
	{		
		return paymentname;
	}
	public void setPaymentname(String paymentname) 
	{
		this.paymentname = paymentname;
	}
	@Column(name = "amount")
	public Double getAmount() 
	{		
		return amount;
	}
	public void setAmount(Double amount) 
	{
		this.amount = amount;
	}
	@Column(name = "if_orderno")
	public String getIf_orderno() 
	{		
		return if_orderno;
	}
	public void setIf_orderno(String if_orderno) 
	{
		this.if_orderno = if_orderno;
	}
	@Column(name = "openid")
	public String getOpenid() 
	{		
		return openid;
	}
	public void setOpenid(String openid) 
	{
		this.openid = openid;
	}
	@Column(name = "remark")
	public String getRemark() 
	{		
		return remark;
	}
	public void setRemark(String remark) 
	{
		this.remark = remark;
	}
	@Column(name = "payDate")
	public Date getPayDate() 
	{		
		return payDate;
	}
	public void setPayDate(Date payDate) 
	{
		this.payDate = payDate;
	}
	@Column(name = "creatuser")
	public String getCreatuser() 
	{		
		return creatuser;
	}
	public void setCreatuser(String creatuser) 
	{
		this.creatuser = creatuser;
	}
	@Column(name = "creatDate")
	public Date getCreatDate() 
	{		
		return creatDate;
	}
	public void setCreatDate(Date creatDate) 
	{
		this.creatDate = creatDate;
	}

}
