package com.bettersoft.api.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import com.google.gson.annotations.Expose;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Onlinestore")
public class OnlinestoreBean extends BaseBean implements java.io.Serializable
{
	private String strstorecode;//门店编号
	private String brandcode = "A01";//品牌
	private Integer status;//状态
	private Double num1;//数字备用
	private Double num2;//数字备用
	private String remark1;//文本备用
	private String remark2;//文本备用
	private String updateuser;//更新者
	private Date updateDate;//更新日
	private String creatuser;//生成者
	private Date creatDate;//生成日

	@Id
	@Column(name = "strstorecode")
	public String getStrstorecode()
	{
		return strstorecode;
	}
	public void setStrstorecode(String strstorecode)
	{
		this.strstorecode = strstorecode;
	}
	@Column(name = "brandcode")
	public String getBrandcode() 
	{		
		return brandcode;
	}
	public void setBrandcode(String brandcode) 
	{
		this.brandcode = brandcode;
	}
	@Column(name = "status")
	public Integer getStatus()
	{
		return status;
	}
	public void setStatus(Integer status)
	{
		this.status = status;
	}
	@Column(name = "num1")
	public Double getNum1() 
	{		
		return num1;
	}
	public void setNum1(Double num1) 
	{
		this.num1 = num1;
	}
	@Column(name = "num2")
	public Double getNum2() 
	{		
		return num2;
	}
	public void setNum2(Double num2) 
	{
		this.num2 = num2;
	}
	@Column(name = "remark1")
	public String getRemark1() 
	{		
		return remark1;
	}
	public void setRemark1(String remark1) 
	{
		this.remark1 = remark1;
	}
	@Column(name = "remark2")
	public String getRemark2() 
	{		
		return remark2;
	}
	public void setRemark2(String remark2) 
	{
		this.remark2 = remark2;
	}
	@Column(name = "updateuser")
	public String getUpdateuser() 
	{		
		return updateuser;
	}
	public void setUpdateuser(String updateuser) 
	{
		this.updateuser = updateuser;
	}
	@Column(name = "updateDate")
	public Date getUpdateDate() 
	{		
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) 
	{
		this.updateDate = updateDate;
	}
	@Column(name = "creatuser")
	public String getCreatuser() 
	{		
		return creatuser;
	}
	public void setCreatuser(String creatuser) 
	{
		this.creatuser = creatuser;
	}
	@Column(name = "creatDate")
	public Date getCreatDate() 
	{		
		return creatDate;
	}
	public void setCreatDate(Date creatDate) 
	{
		this.creatDate = creatDate;
	}

}
