package com.bettersoft.api.service.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.*;
import com.bettersoft.api.model.Entity.OnlineorderpList;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.ShoppingCartValidate;
import com.sun.org.apache.xpath.internal.operations.Bool;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletResponse;

@Service
public interface IOnlineorderhService extends IBaseService {
    public Map<String, Object> findStoreStatus(String storeCode,String token) throws Exception;

    public Map<String, Object> searchByPage(Map<String, Object> queryParam) throws Exception;

    public List<OnlineorderdBean> searchOrderDetails(String orderNo) throws Exception;

    public List<Map<String, Object>> searchOfflineOrderDetails(String orderNo) throws Exception;

    public String saveOnlineOrder(ShoppingCartValidate shoppingCart, int offlineFlag,String token,String flag,Integer num) throws Exception;
    
    public Map<String, Object> saveOnlineOrderScanPaymeny(ShoppingCartValidate shoppingCart, int offlineFlag) throws Exception;

    public void acceptOnlineOrder(String orderNo, LoginUserInfo loginUser) throws Exception;

    public void acceptOnlineOrder(String[] orderNos, LoginUserInfo loginUser) throws Exception;

    public boolean checkPayment(String storeCode, String tableCode) throws Exception;

    public OnlineorderhBean paymentOffOnlineOrder(String orderNo, LoginUserInfo loginUser) throws Exception;
    
    public OnlineorderhBean paymentOnlineOrder(String orderNo, int paymentCode,String if_orderNo,String openid) throws Exception;

    public List<Map<String, Object>> paymentOffOnlineOrder(String[] orderNos, LoginUserInfo loginUser) throws Exception;

    public void paymentOnlineOrder(String storeCode, String tableCode) throws Exception;

    public OnlineorderhBean findOnlineorderh(String str) throws Exception;

    public String findUnSettlementOrderNo(String storeCode, String tableCode) throws Exception;

    public OnlineorderhBean findOnlineorderh(Long l) throws Exception;

    public List<OnlineorderpList> findOnlineorderhListByOpenId(String openId) throws  Exception;

    public void removeShoppingCart(String out_trade_no);
    public Boolean findOnlineorderhOrderNoByOpenId(String openId) throws Exception;

    //导出excel
    public Boolean exportExcel(HttpServletResponse response, Map<String, Object> queryParam) throws Exception;


}
