package com.bettersoft.api.service.interfaces;

import java.util.Map;

import com.bettersoft.api.model.SystemConfigurationBean;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.SystemConfigurationValidate;

public interface ISystemConfigurationService extends IBaseService {
	public SystemConfigurationBean findConfigurationByCode(String configCode)
			throws Exception;

	public Map<String, Object> searchConfigurations(
			Map<String, Object> queryParam) throws Exception;

	public void saveConfiguration(SystemConfigurationValidate configModel,
			LoginUserInfo loginUser) throws Exception;

	public void updateConfiguration(String configCode,
			SystemConfigurationValidate configModel, LoginUserInfo loginUser)
			throws Exception;

	public void deleteConfiguration(String configCode, LoginUserInfo loginUser)
			throws Exception;

	public SystemConfigurationBean findConfigurationByCodeNoException(String configCode);
}
