package com.bettersoft.api.service.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.MenuTreeBean;
import com.bettersoft.api.model.SystemPermissionBean;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.SystemMenuTreeValidate;

public interface ISystemMenuTreeService extends IBaseService {
	public SystemMenuTreeValidate findMenuByCode(String menuCode)
			throws Exception;

	public Map<String, Object> searchMenuTrees(Map<String, Object> queryParam)
			throws Exception;

	public List<MenuTreeBean> searchMenuTrees(Map<String, Object> queryParam,
			LoginUserInfo loginUser) throws Exception;

	public Map<String, Object> searchParentMenus(Map<String, Object> queryParam)
			throws Exception;

	public List<SystemPermissionBean> searchPermissions() throws Exception;

	public void saveMenuTree(SystemMenuTreeValidate menuValidate,
			LoginUserInfo loginUser) throws Exception;

	public void updateMenuTree(SystemMenuTreeValidate menuValidate,
			LoginUserInfo loginUser) throws Exception;

	public void deleteMenuTree(String menuCode) throws Exception;
}
