package com.bettersoft.api.task;

import org.apache.log4j.Logger;

import java.io.File;

public class ClearCodeTask {
    private static Logger logger = Logger.getLogger(ClearCodeTask.class);
    public void executeTask() {
        synchronized (this) {
            try {

                logger.info("--------------------------------clearCodeTask:start-----------------------------------------------");
                String pathname="D:\\apache-tomcat-9.0.87\\webapps\\uatqrordercodeimg";
                deleteDir(pathname);
                logger.info("--------------------------------executeDeleteTask: end-----------------------------------------------");

            } catch (Exception e) {
                logger.error("OnlineOrderTask error", e);
            }
        }
    }
    public  boolean deleteDir(String path){
        File file = new File(path);
        if(!file.exists()){//判断是否待删除目录是否存在
            logger.info("--------------------------------The dir are not exists!-----------------------------------------------");
            return false;
        }
        String[] content = file.list();//取得当前目录下所有文件和文件夹
        for(String name : content){
            File temp = new File(path, name);
            if(temp.isDirectory()){//判断是否是目录
                deleteDir(temp.getAbsolutePath());//递归调用，删除目录里的内容
                temp.delete();//删除空目录
            }else{
                if(!temp.delete()){//直接删除文件

                    logger.info("Failed to delete " + name);
                }
            }
        }
        return true;
    }
}
