package com.bettersoft.api.task;

import com.bettersoft.api.service.interfaces.IOnlinePrepayService;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;

public class CreateSerialNum {
    private static Logger logger = Logger.getLogger(OnlineOrderTask.class);
    public static boolean  flag=false;
    @Autowired
    private IOnlinePrepayService onlinePrepayService ;
    public void executeTask() {
        synchronized (this) {
            try {
                if(flag){
                    logger.info("--------------------------------executeTask:ing-----------------------------------------------");
                    return;
                }
                logger.info("--------------------------------executeTask:start-----------------------------------------------");
                onlinePrepayService.createSerialNum();
                this.flag=false;
                logger.info("--------------------------------executeTask: end-----------------------------------------------");

            } catch (Exception e) {
                logger.error("OnlineOrderTask error", e);
                this.flag=false;
            }
        }
    }
}
