package com.bettersoft.api.utils;

import java.math.BigDecimal;

public class Constants {
    public static final long LOGIN_EXPIRE_TIME = 20 * 60 * 1000;

    public static final int SESSION_EXPIRE_TIME = 20 * 60 * 60;

    public static boolean INITIALIZING = false;

    public static String SECRET_KEY = "YmV0cnNvZnQ=";
    // public static String SECRET_KEY = "Y2xlYXJib3M=";

    public static final String ACCESS_URL_KEY = "accessUrl";

    public static final String TEMP_URL_KEY = "tempUrl";

    public static final String TEMP_PATH_KEY = "tempPath";

    public static final String DEST_PATH_KEY = "destPath";

    public final static String GEOGRAPHY_CACHE_KEY = "GEOGRAPHY";

    public static int DOT_LENGTH = 0;

    public final static int MAX_RESULTS = 10;

    public final static int MAX_TASK_THREADS = 5;

    public static int ROUNDING_TYPE = BigDecimal.ROUND_DOWN;

    public static final String CHARACTERSET_CODING = "UTF-8";

    public static final String QUERY_START_DATE = "startDate.";

    public static final String QUERY_END_DATE = "endDate.";

    public static final String EQUAL_DATE = "equalDate.";

    public static final String QUERY_GREATE_DATE = "greateDate.";

    public static final String QUERY_GREATE_EQUAL_DATE = "greateEqualDate.";

    public static final String QUERY_LESS_DATE = "lessDate.";

    public static final String QUERY_LESS_EQUAL_DATE = "lessEqualDate.";

    public static final String QUERY_NOTEQUAL_DATE = "notequalDate.";

    public static final String QUERY_NOTEQUAL = "notequal.";

    public static final String QUERY_LIKE = "like.";

    public static final String QUERY_GREATE = "greate.";

    public static final String QUERY_GREATE_EQUAL = "greateEqual.";

    public static final String QUERY_LESS = "less.";

    public static final String QUERY_LESS_EQUAL = "lessEqual.";

    public static final String QUERY_BEGIN_WITH = "beginWith.";

    public static final String QUERY_END_WITH = "endWith.";

    public static final String QUERY_FETCH_SIZE = "fetchSize";

    public static final String QUERY_FIRST_RESULTS = "firstResults";

    public static final String QUERY_MAX_RESULTS = "maxResults";

    public static final String QUERY_ORDER_BY = "orderBy";

    public static final String QUERY_GROUP_BY = "groupBy";

    public static final String QUERY_SPEC_CONDITION = "spec.";

    public static final String QUERY_SPEC_TAIL_CONDITION = "specTail";

    public static final String QUERY_EITHER = "either.";

    public static final String QUERY_FILTER = "filter."; // Hibernate过滤器

    public static final String DB_SERVER = "ORACLE";// ORACLE SQLSERVER

    public static final String WEBSOCKET_SESSION_KEY = "com.bettersoft.websocket.id.";

    public static final String LOGIN_TOKEN_KEY = "com.bettersoft.token.";

    public static final String LOGIN_SESSION_USER = "com.bettersoft.session.user.";

    public static final String DICTIONARY_TYPE = "D";

    public static final String MENU_TYPE = "M";

    public static final String LOGIN_OPER_TYPE = "LOGIN";

    public static final String LOGOUT_OPER_TYPE = "LOGOUT";

    public static final String INSERT_OPER_TYPE = "INSERT";

    public static final String UPDATE_OPER_TYPE = "UPDATE";

    public static final String DELETE_OPER_TYPE = "DELETE";

    public static final String MODPWD_OPER_TYPE = "MODPWD";

    public static final String REGISTER_OPER_TYPE = "REGIST";

    public static final String APPROVE_OPER_TYPE = "APPROVE";

    public static final String UPPERSHELF_OPER_TYPE = "UPPER";

    public static final String OFFSHELF_OPER_TYPE = "OFF";

    public static final String SHIELD_OPER_TYPE = "SHIELD";

    public static final String PCPWD_LOGIN_TYPE = "PC_PWD";

    public static final String APPPWD_LOGIN_TYPE = "APP_PWD";

    public static final String APPSMS_LOGIN_TYPE = "APP_SMS";

    public static final String PC_PLATFORM = "PC";

    public static final String AVD_PLATFORM = "AVD";

    public static final String IOS_PLATFORM = "IOS";

    public static final String PERMISSION_KEY = "perms";

    public static final String SYSCONFIG_KEY = "configs";

    public static final String PROVINCIAL_KEY = "provincials";

    public static final String TASK_THREAD_KEY = "taskThreads";

    public static final String AUDIO_RES_TYPE = "A";

    public static final String VIDEO_RES_TYPE = "V";

    public static final String EDUCATION_RES_TYPE = "E";

    public static final String CONF_AVATOR_UPLOADPATH = "SYS_AVATOR_PATH";

    public static final String CONF_ANDROID_UPLOADPATH = "SYS_AVD_PATH";

    public static final String CONF_IOS_UPLOADPATH = "SYS_IOS_PATH";

    public static final String CONF_IMG_UPLOADPATH = "SYS_IMG_PATH";

    public static final String CONF_VOD_UPLOADPATH = "SYS_VOD_PATH";

    public static final String CONF_AOD_UPLOADPATH = "SYS_AOD_PATH";

    public static final String CONF_CLASSIC_LABEL = "SYS_CLASSIC_LBL";

    public static final String CONF_ABOUTUS_URL = "SYS_ABOUTUS_URL";

    public static final String CONF_POLICY_URL = "SYS_POLICY_URL";

    public static final String CONF_PROTOCOL_URL = "SYS_PROTOCOL_URL";

    public static final String CONF_CAROUSEL_URL = "SYS_CAROUSEL_URL";

    public static final String CONF_BANNER_URL = "SYS_BANNER_URL";

    public static final String CONF_VIDEO_TYPE = "SYS_VIDEO_TYPE";

    public static final String CONF_AUDIO_TYPE = "SYS_AUDIO_TYPE";

    public static final String CONF_MEDIATMP_PATH = "SYS_MEDIATMP_PATH";

    public static final String CONF_ADV_LIMIT = "SYS_ADV_LIMIT";

    /**
     * 购物车Cookie
     */
    public static final String BUYCART_REDIS = "CART_{0}_{1}";
    
    /*
     * 调用jiake支付 常量
     */
    public static final class CommonConsts {
    	public static final String VERSION ="1.0";
    	
		public static final String DEFAULT_ENCODE = "UTF-8";

		public static final String ENCODE_GBK = "GBK";

		public static final String ENCODE_ISO8859 = "ISO8859-1";

		public static final String COMPACT_DATE_FORMAT = "yyyyMMdd";
		
		public static final String COMPACT_DATETIME_FORMAT = "yyyyMMddHHmmss";

		public static final String STANDARD_DATETIME_FORMAT = "yyyy-MM-dd HH:mm:ss";

		public static final String PHONE_PATTERN = "^((13[0-9])|(14[0-9])|(15[0-9])|(17[0-9])|(18[0-9]))\\d{8}$";
	}

}
