package com.bettersoft.api.utils;

import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class JsonResult implements Serializable {
	private static final long serialVersionUID = -3375920970009324805L;

	private boolean success;
	private String errorCode = "200";
	private String errMsg;
	private Map<String, Object> data = new HashMap<String, Object>();
	private Object WxData;

	public Object getWxData() {
		return WxData;
	}

	public void setWxData(Object wxData) {
		WxData = wxData;
	}

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrMsg() {
		return errMsg;
	}

	public void setErrMsg(String errMsg) {
		this.errMsg = errMsg;
	}

	public Map<String, Object> getData() {
		return data;
	}

	public void setData(Map<String, Object> data) {
		this.data = data;
	}
}
