package com.bettersoft.api.validmodel;

import com.bettersoft.api.annotation.FieldCommon;

public class BuyCartItemValidate extends BaseValidate {
    @FieldCommon(common = "门店编号")
    private String storecode;
    @FieldCommon(common = "桌号")
    private String tablecode;
    @FieldCommon(common = "门店编号")
    private String strstorecode;
    @FieldCommon(common = "商品ID")
    private int intitemno;
    @FieldCommon(common = "商品数量")
    private int quantity = 1;
    //备注用于客户选择的附加属性
    @FieldCommon(common = "附件属性")
    private String pmodify;
    @FieldCommon(common = "行号")
    private int lineNo;

    public String getStorecode() {
        return storecode;
    }

    public void setStorecode(String storecode) {
        this.storecode = storecode;
    }

    public String getTablecode() {
        return tablecode;
    }

    public void setTablecode(String tablecode) {
        this.tablecode = tablecode;
    }

    public String getStrstorecode() {
        return strstorecode;
    }

    public void setStrstorecode(String strstorecode) {
        this.strstorecode = strstorecode;
    }

    public int getIntitemno() {
        return intitemno;
    }

    public void setIntitemno(int intitemno) {
        this.intitemno = intitemno;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public String getPmodify() {
        return pmodify;
    }

    public void setPmodify(String pmodify) {
        this.pmodify = pmodify;
    }

    public int getLineNo() {
        return lineNo;
    }

    public void setLineNo(int lineNo) {
        this.lineNo = lineNo;
    }
}
