package com.bettersoft.api.validmodel;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.persistence.Column;

import com.bettersoft.api.annotation.FieldCommon;

public class OnlineItemValidate extends BaseValidate {
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "商品编号")
    private int intitemno;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "品牌")
    private String brandcode;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "门店编号")
    private String strstorecode;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "状态")
    private int status;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "商品缩略图")
    private String iconpath;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "商品照片")
    private String imgpath;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "数字备用")
    private Double num1;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "数字备用2")
    private Double num2;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "文本备用")
    private String remark1;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "文本备用2")
    private String remark2;
    private List<Map<String, Object>> itemStatuses = new ArrayList<Map<String, Object>>();

    public int getIntitemno() {
        return intitemno;
    }

    public void setIntitemno(int intitemno) {
        this.intitemno = intitemno;
    }

    public String getBrandcode() {
        return brandcode;
    }

    public void setBrandcode(String brandcode) {
        this.brandcode = brandcode;
    }

    public String getStrstorecode() {
        return strstorecode;
    }

    public void setStrstorecode(String strstorecode) {
        this.strstorecode = strstorecode;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getIconpath() {
        return iconpath;
    }

    public void setIconpath(String iconpath) {
        this.iconpath = iconpath;
    }

    public String getImgpath() {
        return imgpath;
    }

    public void setImgpath(String imgpath) {
        this.imgpath = imgpath;
    }

    public Double getNum1() {
        return num1;
    }

    public void setNum1(Double num1) {
        this.num1 = num1;
    }

    public Double getNum2() {
        return num2;
    }

    public void setNum2(Double num2) {
        this.num2 = num2;
    }

    public String getRemark1() {
        return remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }

    public String getRemark2() {
        return remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public List<Map<String, Object>> getItemStatuses() {
        return itemStatuses;
    }

    public void setItemStatuses(List<Map<String, Object>> itemStatuses) {
        this.itemStatuses = itemStatuses;
    }
}
