package com.bettersoft.api.validmodel;

import java.util.Date;

import javax.persistence.Column;

import com.bettersoft.api.annotation.FieldCommon;

public class OnlineorderhValidate extends BaseValidate {
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "订单号")
    private String orderno;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "品牌编号")
    private int brandcode;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "门店编号")
    private String strstorecode;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "桌位号")
    private String tablecode;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "门店日流水号")
    private int daysn;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "开单时间")
    private Date dtorderstart;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "最后下单时间")
    private Date dtorderupdate;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "商品数量")
    private int qty;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "折扣金额")
    private Double discountamount;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "应付金额")
    private Double amountyf;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "实付金额")
    private Double amountsf;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "门店下单标志")
    private int offlineupdateflg;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "订单状态")
    private int status;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "收货人")
    private String customername;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "地址")
    private String customeraddress;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "电话")
    private String customermobile;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "订单备注")
    private String remark;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "期望送达")
    private String hopetime;

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno;
    }

    public int getBrandcode() {
        return brandcode;
    }

    public void setBrandcode(int brandcode) {
        this.brandcode = brandcode;
    }

    public String getStrstorecode() {
        return strstorecode;
    }

    public void setStrstorecode(String strstorecode) {
        this.strstorecode = strstorecode;
    }

    public String getTablecode() {
        return tablecode;
    }

    public void setTablecode(String tablecode) {
        this.tablecode = tablecode;
    }

    public int getDaysn() {
        return daysn;
    }

    public void setDaysn(int daysn) {
        this.daysn = daysn;
    }

    public Date getDtorderstart() {
        return dtorderstart;
    }

    public void setDtorderstart(Date dtorderstart) {
        this.dtorderstart = dtorderstart;
    }

    public Date getDtorderupdate() {
        return dtorderupdate;
    }

    public void setDtorderupdate(Date dtorderupdate) {
        this.dtorderupdate = dtorderupdate;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    public Double getDiscountamount() {
        return discountamount;
    }

    public void setDiscountamount(Double discountamount) {
        this.discountamount = discountamount;
    }

    public Double getAmountyf() {
        return amountyf;
    }

    public void setAmountyf(Double amountyf) {
        this.amountyf = amountyf;
    }

    public Double getAmountsf() {
        return amountsf;
    }

    public void setAmountsf(Double amountsf) {
        this.amountsf = amountsf;
    }

    public int getOfflineupdateflg() {
        return offlineupdateflg;
    }

    public void setOfflineupdateflg(int offlineupdateflg) {
        this.offlineupdateflg = offlineupdateflg;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getCustomername() {
        return customername;
    }

    public void setCustomername(String customername) {
        this.customername = customername;
    }

    public String getCustomeraddress() {
        return customeraddress;
    }

    public void setCustomeraddress(String customeraddress) {
        this.customeraddress = customeraddress;
    }

    public String getCustomermobile() {
        return customermobile;
    }

    public void setCustomermobile(String customermobile) {
        this.customermobile = customermobile;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getHopetime() {
        return hopetime;
    }

    public void setHopetime(String hopetime) {
        this.hopetime = hopetime;
    }
}
