package com.bettersoft.api.validmodel;

import com.bettersoft.api.annotation.FieldCommon;

public class OnlineuserValidate extends BaseValidate {
    @FieldCommon(common = "品牌")
    private String brandcode;
    @FieldCommon(common = "微信openid")
    private String openid;
    @FieldCommon(common = "微信unionid")
    private String unionid;
    @FieldCommon(common = "微信昵称")
    private String wxnickname;
    @FieldCommon(common = "微信头像url")
    private String wxuserimgurl;
    @FieldCommon(common = "是否会员")
    private String memberflg;
    @FieldCommon(common = "是否接受推送")
    private String msgpushflg;
    @FieldCommon(common = "会员卡号")
    private String memberCard;
    @FieldCommon(common = "手机号")
    private String membermobile;
    @FieldCommon(common = "更新时间")
    private String updateDate;
    @FieldCommon(common = "生成日")
    private String creatDate;

    public OnlineuserValidate() {
    }

    @Override
    public String toString() {
        return "OnlineuserValidate{" +
                "brandcode='" + brandcode + '\'' +
                ", openid='" + openid + '\'' +
                ", unionid='" + unionid + '\'' +
                ", wxnickname='" + wxnickname + '\'' +
                ", wxuserimgurl='" + wxuserimgurl + '\'' +
                ", memberflg='" + memberflg + '\'' +
                ", msgpushflg='" + msgpushflg + '\'' +
                ", memberCard='" + memberCard + '\'' +
                ", membermobile='" + membermobile + '\'' +
                ", updateDate='" + updateDate + '\'' +
                ", creatDate='" + creatDate + '\'' +
                '}';
    }

    public String getBrandcode() {
        return brandcode;
    }

    public void setBrandcode(String brandcode) {
        this.brandcode = brandcode;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getWxnickname() {
        return wxnickname;
    }

    public void setWxnickname(String wxnickname) {
        this.wxnickname = wxnickname;
    }

    public String getWxuserimgurl() {
        return wxuserimgurl;
    }

    public void setWxuserimgurl(String wxuserimgurl) {
        this.wxuserimgurl = wxuserimgurl;
    }

    public String getMemberflg() {
        return memberflg;
    }

    public void setMemberflg(String memberflg) {
        this.memberflg = memberflg;
    }

    public String getMsgpushflg() {
        return msgpushflg;
    }

    public void setMsgpushflg(String msgpushflg) {
        this.msgpushflg = msgpushflg;
    }

    public String getMemberCard() {
        return memberCard;
    }

    public void setMemberCard(String memberCard) {
        this.memberCard = memberCard;
    }

    public String getMembermobile() {
        return membermobile;
    }

    public void setMembermobile(String membermobile) {
        this.membermobile = membermobile;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getCreatDate() {
        return creatDate;
    }

    public void setCreatDate(String creatDate) {
        this.creatDate = creatDate;
    }

    public OnlineuserValidate(String brandcode, String openid, String unionid, String wxnickname, String wxuserimgurl, String memberflg, String msgpushflg, String memberCard, String membermobile, String updateDate, String creatDate) {
        this.brandcode = brandcode;
        this.openid = openid;
        this.unionid = unionid;
        this.wxnickname = wxnickname;
        this.wxuserimgurl = wxuserimgurl;
        this.memberflg = memberflg;
        this.msgpushflg = msgpushflg;
        this.memberCard = memberCard;
        this.membermobile = membermobile;
        this.updateDate = updateDate;
        this.creatDate = creatDate;
    }
}
