package com.bettersoft.api.validmodel;

import org.hibernate.validator.constraints.NotEmpty;

import com.bettersoft.api.annotation.FieldCommon;

public class SmsSenderValidate extends BaseValidate {
	private static final long serialVersionUID = -2320472797673254016L;

	@NotEmpty(message = "{field.notempty}")
	@FieldCommon(common = "手机号")
	private String senderPhone;
	@NotEmpty(message = "{field.notempty}")
	@FieldCommon(common = "发送类型")
	private String senderType;

	public String getSenderPhone() {
		return senderPhone;
	}

	public void setSenderPhone(String senderPhone) {
		this.senderPhone = senderPhone;
	}

	public String getSenderType() {
		return senderType;
	}

	public void setSenderType(String senderType) {
		this.senderType = senderType;
	}
}
