drop TABLE public.onlineItem;
CREATE TABLE public.onlineItem
(
intitemno	int NOT NULL,
brandcode	varchar(30)	NOT NULL	,
strstorecode	varchar(20)	NOT NULL	,
price numeric(12,4)	NULL	,
status	int		,
iconpath	varchar(100)	NULL	,
imgpath	varchar(100)	NULL	,
num1	numeric(12,4)	NULL	,
num2	numeric(12,4)	NULL	,
remark1	varchar(50)	NULL	,
remark2	varchar(50)	NULL	,
updateuser	varchar(20)	NOT NULL	,
updateDate	timestamp without time zone	NOT NULL	,
creatuser	varchar(20)	NOT NULL	,
creatDate	timestamp without time zone	NOT NULL,
constraint PK_onlineItem primary key(intitemno, strstorecode)
);

COMMENT ON TABLE public.onlineItem IS 'Ʒ';
COMMENT ON COLUMN public.onlineItem.brandcode IS 'Ʒ';
COMMENT ON COLUMN public.onlineItem.price IS 'ۼ';
COMMENT ON COLUMN public.onlineItem.intitemno IS 'Ʒ';
COMMENT ON COLUMN public.onlineItem.strstorecode IS 'ŵ';
COMMENT ON COLUMN public.onlineItem.status IS '״̬';
COMMENT ON COLUMN public.onlineItem.iconpath IS 'Ʒͼ';
COMMENT ON COLUMN public.onlineItem.imgpath IS 'ƷƬ';
COMMENT ON COLUMN public.onlineItem.num1 IS 'ֱ';
COMMENT ON COLUMN public.onlineItem.num2 IS 'ֱ';
COMMENT ON COLUMN public.onlineItem.remark1 IS 'ı';
COMMENT ON COLUMN public.onlineItem.remark2 IS 'ı';
COMMENT ON COLUMN public.onlineItem.updateuser IS '';
COMMENT ON COLUMN public.onlineItem.updateDate IS '';
COMMENT ON COLUMN public.onlineItem.creatuser IS '';
COMMENT ON COLUMN public.onlineItem.creatDate IS '';

drop TABLE public.onlinestore;
CREATE TABLE public.onlinestore
(
strstorecode	varchar(20)	NOT NULL			,
brandcode	varchar(30)	NOT NULL	DEFAULT	'A01'	,
status	int	NOT NULL	DEFAULT	2	,
num1	numeric(12,4)	NULL			,
num2	numeric(12,4)	NULL			,
remark1	varchar(50)	NULL			,
remark2	varchar(50)	NULL			,
updateuser	varchar(20)	NOT NULL	DEFAULT	'system'	,
updateDate	timestamp  without time zone	NOT NULL	DEFAULT	CURRENT_TIMESTAMP	,
creatuser	varchar(20)	NOT NULL	DEFAULT	'system'	,
creatDate	timestamp  without time zone	NOT NULL	DEFAULT	CURRENT_TIMESTAMP,
constraint PK_onlinestore primary key(strstorecode)
);

COMMENT ON TABLE public.onlinestore IS 'ŵ';
COMMENT ON COLUMN public.onlinestore.brandcode IS 'Ʒ';
COMMENT ON COLUMN public.onlinestore.strstorecode IS 'ŵ';
COMMENT ON COLUMN public.onlinestore.status IS '״̬';
COMMENT ON COLUMN public.onlinestore.num1 IS 'ֱ';
COMMENT ON COLUMN public.onlinestore.num2 IS 'ֱ';
COMMENT ON COLUMN public.onlinestore.remark1 IS 'ı';
COMMENT ON COLUMN public.onlinestore.remark2 IS 'ı';
COMMENT ON COLUMN public.onlinestore.updateuser IS '';
COMMENT ON COLUMN public.onlinestore.updateDate IS '';
COMMENT ON COLUMN public.onlinestore.creatuser IS '';
COMMENT ON COLUMN public.onlinestore.creatDate IS '';

drop TABLE public.onlineorderh;
CREATE TABLE public.onlineorderh
(
orderno	varchar(30)	NOT NULL			,
brandcode	varchar(20)				,
strstorecode	varchar(20)	NOT NULL			,
tablecode	varchar(20)	NULL			,
daysn	int	NULL			,
dtorderstart	timestamp without time zone	NULL			,
dtorderupdate	timestamp without time zone	NULL			,
qty	int	NULL			,
discountamount	numeric(19,6)	NULL			,
amountyf	numeric(19,6)	NULL			,
amountsf	numeric(19,6)	NULL			,
offlineupdateflg	int	NULL			,
status	int	NULL			,
customername	varchar(50)	NULL			,
customeraddress	varchar(100)	NULL			,
customermobile	varchar(50)	NULL			,
remark	varchar(100)	NULL			,
hopetime	varchar(20)	NULL			,
updateuser	varchar(20)	NOT NULL	DEFAULT	'system'	,
updateDate	timestamp without time zone	NOT NULL	DEFAULT	CURRENT_TIMESTAMP	,
creatuser	varchar(20)	NOT NULL	DEFAULT	'system'	,
creatDate	timestamp without time zone	NOT NULL	DEFAULT	CURRENT_TIMESTAMP	,
constraint PK_onlineorderh primary key(orderno)
);

COMMENT ON TABLE public.onlineorderh IS '߶';
COMMENT ON COLUMN public.onlineorderh.orderno IS '';
COMMENT ON COLUMN public.onlineorderh.brandcode IS 'ƷƱ';
COMMENT ON COLUMN public.onlineorderh.strstorecode IS 'ŵ';
COMMENT ON COLUMN public.onlineorderh.tablecode IS 'λ';
COMMENT ON COLUMN public.onlineorderh.daysn IS 'ŵˮ';
COMMENT ON COLUMN public.onlineorderh.dtorderstart IS 'ʱ';
COMMENT ON COLUMN public.onlineorderh.dtorderupdate IS 'µʱ';
COMMENT ON COLUMN public.onlineorderh.qty IS 'Ʒ';
COMMENT ON COLUMN public.onlineorderh.discountamount IS 'ۿ۽';
COMMENT ON COLUMN public.onlineorderh.amountyf IS 'Ӧ';
COMMENT ON COLUMN public.onlineorderh.amountsf IS 'ʵ';
COMMENT ON COLUMN public.onlineorderh.offlineupdateflg IS 'ŵµ־';
COMMENT ON COLUMN public.onlineorderh.status IS '״̬';
COMMENT ON COLUMN public.onlineorderh.customername IS 'ջ';
COMMENT ON COLUMN public.onlineorderh.customeraddress IS 'ַ';
COMMENT ON COLUMN public.onlineorderh.customermobile IS '绰';
COMMENT ON COLUMN public.onlineorderh.remark IS 'ע';
COMMENT ON COLUMN public.onlineorderh.hopetime IS 'ʹ';
COMMENT ON COLUMN public.onlineorderh.updateuser IS '';
COMMENT ON COLUMN public.onlineorderh.updateDate IS '';
COMMENT ON COLUMN public.onlineorderh.creatuser IS '';
COMMENT ON COLUMN public.onlineorderh.creatDate IS '';

drop TABLE public.onlineorderd;
CREATE TABLE public.onlineorderd
(
brandcode	varchar(20)	NOT NULL	DEFAULT	'A1'	,
orderno	varchar(30)	NOT NULL			,
suborderno	int	NOT NULL			,
line	int	NOT NULL			,
linetype	varchar(10)	NOT NULL			,
pname	varchar(50)	NULL			,
pmodify	varchar(100)	NULL			,
qty	int	NOT NULL			,
price	numeric(19,6)	NOT NULL			,
discountcode	varchar(20)	NULL			,
discountamount	numeric(19,6)	NULL			,
discountname	varchar(30)	NULL			,
amount	numeric(19,6)	NOT NULL			,
amountafterdiscount	numeric(19,6)	NOT NULL			,
suborderstatus	int	NOT NULL			,
remark	varchar(100)	NULL			,
orderfrom	int	NOT NULL			,
dtorder	timestamp without time zone	NOT NULL			,
dtconfirm	timestamp without time zone	NULL			,
confirmuser	varchar(20)	NULL	DEFAULT	'system'	,
constraint PK_onlineorderd primary key(orderno,suborderno,line)
);

COMMENT ON TABLE public.onlineorderd IS '߶ϸ';
COMMENT ON COLUMN public.onlineorderd.brandcode IS 'Ʒ';
COMMENT ON COLUMN public.onlineorderd.orderno IS '';
COMMENT ON COLUMN public.onlineorderd.suborderno IS 'µ';
COMMENT ON COLUMN public.onlineorderd.line IS 'к';
COMMENT ON COLUMN public.onlineorderd.linetype IS '';
COMMENT ON COLUMN public.onlineorderd.pname IS 'Ʒ';
COMMENT ON COLUMN public.onlineorderd.pmodify IS 'ƻ';
COMMENT ON COLUMN public.onlineorderd.qty IS '';
COMMENT ON COLUMN public.onlineorderd.price IS '';
COMMENT ON COLUMN public.onlineorderd.discountcode IS 'ۿ۱';
COMMENT ON COLUMN public.onlineorderd.discountamount IS 'ۿ۽';
COMMENT ON COLUMN public.onlineorderd.discountname IS 'ۿ';
COMMENT ON COLUMN public.onlineorderd.amount IS 'ܽ';
COMMENT ON COLUMN public.onlineorderd.amountafterdiscount IS 'ۺܽ';
COMMENT ON COLUMN public.onlineorderd.suborderstatus IS 'Ӷ״̬';
COMMENT ON COLUMN public.onlineorderd.remark IS 'ע';
COMMENT ON COLUMN public.onlineorderd.orderfrom IS 'Դ';
COMMENT ON COLUMN public.onlineorderd.dtorder IS 'µʱ';
COMMENT ON COLUMN public.onlineorderd.dtconfirm IS 'ӵʱ';
COMMENT ON COLUMN public.onlineorderd.confirmuser IS 'ӵ';


drop TABLE public.onlineorderp;
CREATE TABLE public.onlineorderp
(
brandcode	varchar(20)	NOT NULL		DEFAULT 'A1'	,
orderno	varchar(30)	NOT NULL			,
line	int	NOT NULL			,
paymentcode	int	NOT NULL			,
paymentname	varchar(20)	NOT NULL			,
amount	numeric(19,6)	NOT NULL			,
if_orderno	varchar(50)	NULL			,
openid	varchar(50)	NULL			,
remark	varchar(100)	NULL			,
payDate	timestamp without time zone	NOT NULL		DEFAULT CURRENT_TIMESTAMP	,
creatuser	varchar(20)	NOT NULL		DEFAULT 'system'	,
creatDate	timestamp without time zone	NOT NULL		DEFAULT CURRENT_TIMESTAMP	,
constraint PK_onlineorderp primary key(orderno,line)
);

COMMENT ON TABLE public.onlineorderp IS '߶֧';
COMMENT ON COLUMN public.onlineorderp.brandcode IS 'Ʒ';
COMMENT ON COLUMN public.onlineorderp.orderno IS '';
COMMENT ON COLUMN public.onlineorderp.line IS 'к';
COMMENT ON COLUMN public.onlineorderp.paymentcode IS '֧';
COMMENT ON COLUMN public.onlineorderp.paymentname IS '֧';
COMMENT ON COLUMN public.onlineorderp.amount IS '֧';
COMMENT ON COLUMN public.onlineorderp.if_orderno IS '֧';
COMMENT ON COLUMN public.onlineorderp.openid IS '΢openid';
COMMENT ON COLUMN public.onlineorderp.remark IS 'ı';
COMMENT ON COLUMN public.onlineorderp.payDate IS '֧ɹʱ';
COMMENT ON COLUMN public.onlineorderp.creatuser IS '';
COMMENT ON COLUMN public.onlineorderp.creatDate IS '';

CREATE TABLE public.bs_userstore(
    bs_seq_id            int4           NOT NULL,
    bs_usercode          varchar(20)    NOT NULL,
    bs_strstorecode      varchar(10)    NOT NULL,
    bs_createdatetime    timestamp      NOT NULL,
    CONSTRAINT "PK28" PRIMARY KEY (bs_seq_id)
);
COMMENT ON TABLE public.bs_userstore IS 'ûŵ';
COMMENT ON COLUMN public.bs_userstore.bs_usercode IS 'û';
COMMENT ON COLUMN public.bs_userstore.bs_strstorecode IS 'ŵ';
COMMENT ON COLUMN public.bs_userstore.bs_createdatetime IS 'ʱ';

CREATE SEQUENCE public.SEQ_USERSTORE_ID
  INCREMENT 1
  MINVALUE 1
  NO MAXVALUE
  START 1
  CACHE 1;
ALTER SEQUENCE public.SEQ_USERSTORE_ID OWNED BY public.bs_userstore;

CRATE SEQUENCE public.SEQ_ROLEMENU_ID
  INCREMENT 1
  MINVALUE 1
  NO MAXVALUE
  START 1
  CACHE 1;
ALTER SEQUENCE public.SEQ_ROLEMENU_ID OWNED BY public.bs_role_menu;

CRATE SEQUENCE public.SEQ_ROLEDEP_ID
  INCREMENT 1
  MINVALUE 1
  NO MAXVALUE
  START 1
  CACHE 1;
ALTER SEQUENCE public.SEQ_ROLEDEP_ID OWNED BY public.bs_role_dep;

CRATE SEQUENCE public.SEQ_USERROLE_ID
  INCREMENT 1
  MINVALUE 1
  NO MAXVALUE
  START 1
  CACHE 1;
ALTER SEQUENCE public.SEQ_USERROLE_ID OWNED BY public.bs_user_role;
