package com.bettersoft.api.dao.implement;

import java.util.List;
import java.util.Map;

import org.apache.commons.collections.MapUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Repository;

import com.bettersoft.api.dao.interfaces.ISystemConfigurationDao;
import com.bettersoft.api.model.SystemConfigurationBean;
import com.bettersoft.api.utils.Constants;

@Repository("systemConfigurationDao")
public class SystemConfigurationDao extends BaseDao implements
		ISystemConfigurationDao {

	public List<SystemConfigurationBean> searchConfigurations(
			Map<String, Object> queryParam) throws Exception {
		String fromHql = "from SystemConfigurationBean";

		return this.generalSearch(fromHql, queryParam, MapUtils.getString(
				queryParam, Constants.QUERY_ORDER_BY, StringUtils.EMPTY));
	}

	public Number searchConfigurationCount(Map<String, Object> queryParam)
			throws Exception {
		String fromHql = "from SystemConfigurationBean";

		return this.generalCount(fromHql, queryParam);
	}
}
