package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.OnlineItemBean;
import com.bettersoft.api.model.OnlineorderdBean;
import com.bettersoft.api.validmodel.OnlineItemPackageValidate;

public interface IOnlineItemDao extends IBaseDao {
    public OnlineItemBean findOnlinItem(String storeCode, int itemId) throws Exception;

    public List<Map<String, Object>> searchList(Map<String, Object> queryParam) throws Exception;

    public Number searchCount(Map<String, Object> queryParam) throws Exception;

    public List<Map<String, String>> getAllStrposfastkeyname(String strstorecode) throws Exception;

    public List<OnlineItemPackageValidate> searchPackageGroup(int itemId) throws Exception;

    public List<OnlineItemPackageValidate> searchPackageDetail(String groupCode, int itemId) throws Exception;

    public List<OnlineItemPackageValidate> searchItemModifiers(String storeCode, int itemId) throws Exception;

    public List<OnlineItemPackageValidate> searchItemModifiers(String storeCode, String orderNo, int itemId, List<OnlineorderdBean> offlineItems) throws Exception;

    public boolean isPackageItem(int itemId) throws Exception;
}
