package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.OnlineorderdBean;

public interface IOnlineorderdDao extends IBaseDao {
    public List<Map<String, Object>> searchList(Map<String, Object> queryParam) throws Exception;

    public Number searchCount(Map<String, Object> queryParam) throws Exception;

    public OnlineorderdBean findOrderDetail(String orderNo, int line, int suborderno) throws Exception;

    public Map<String, Object> getTotal(String orderno) throws Exception;

    public void updateOrderDetailSubOrderStatus(String orderNo, int line, int suborderno, int subStatus) throws Exception;
}
