package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.SystemMessageReadBean;

public interface ISystemMessageDao extends IBaseDao {
	public List<Map<String, Object>> searchSystemMessages(
			Map<String, Object> queryParam) throws Exception;

	public Number searchSystemMessageCount(Map<String, Object> queryParam)
			throws Exception;

	public Number searchUnReadMessageCount(Map<String, Object> queryParam)
			throws Exception;

	public SystemMessageReadBean findMessageRead(Map<String, Object> queryParam)
			throws Exception;
}
