package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.MenuTreeBean;
import com.bettersoft.api.model.SystemDepartmentBean;
import com.bettersoft.api.model.SystemRoleBean;
import com.bettersoft.api.model.SystemRoleDepartmentBean;
import com.bettersoft.api.model.SystemRoleMenuBean;

public interface ISystemRoleDao extends IBaseDao {
	public List<SystemRoleBean> searchRoles(Map<String, Object> queryParam)
			throws Exception;

	public Number searchRoleCount(Map<String, Object> queryParam)
			throws Exception;

	public Number searchRoleInUseCount(String roleCode) throws Exception;

	public List<MenuTreeBean> searchMenus(Map<String, Object> queryParam)
			throws Exception;

	public List<SystemDepartmentBean> searchDepartments(
			Map<String, Object> queryParam) throws Exception;

	public SystemRoleMenuBean searchRoleMenu(Map<String, Object> queryParam)
			throws Exception;

	public SystemRoleDepartmentBean searchRoleDept(
			Map<String, Object> queryParam) throws Exception;
}
