package com.bettersoft.api.dao.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.SystemDepartmentBean;
import com.bettersoft.api.model.SystemUserBean;
import com.bettersoft.api.model.SystemUserRoleBean;
import com.bettersoft.api.model.SystemUserStoreBean;

public interface ISystemUserDao extends IBaseDao {
    public List<SystemUserBean> searchUsers(Map<String, Object> queryParam)
            throws Exception;

    public Number searchUserCount(Map<String, Object> queryParam)
            throws Exception;

    public List<Map<String, Object>> searchRoles() throws Exception;

    public List<Map<String, Object>> searchStores() throws Exception;

    public List<SystemDepartmentBean> searchDepartments() throws Exception;

    public SystemUserRoleBean findUserRole(Map<String, Object> queryParam)
            throws Exception;

    public SystemUserStoreBean findUserStore(Map<String, Object> queryParam) throws Exception;
}
