package com.bettersoft.api.exceptions;

public class SequanceNotFoundException extends RuntimeException {
	private static final long serialVersionUID = 1628493591257551602L;

	private String errorCode;

	public SequanceNotFoundException() {
		super();
	}

	public SequanceNotFoundException(Throwable cause) {
		super(cause);
	}

	public SequanceNotFoundException(String message) {
		super(message);
	}

	public SequanceNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}

	public SequanceNotFoundException(String errorCode, String message) {
		super(message);
		this.errorCode = errorCode;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}
}
