package com.bettersoft.api.model;

/**
 * 购物项
 */
public class BuyItem {
    private OnlineItemBean onlineItem;

    public OnlineItemBean getOnlineItem() {
        return onlineItem;
    }

    public void setOnlineItem(OnlineItemBean onlineItem) {
        this.onlineItem = onlineItem;
    }

    // 数量
    private int quantity = 1;

    //备注用于客户选择的附加属性
    private String pmodify;

    public String getPmodify() {
        return pmodify;
    }

    public void setPmodify(String pmodify) {
        this.pmodify = pmodify;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    private int lineNo; // 行号

    public int getLineNo() {
        return lineNo;
    }

    public void setLineNo(int lineNo) {
        this.lineNo = lineNo;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + quantity;
        result = prime * result + ((onlineItem == null) ? 0 : onlineItem.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        BuyItem other = (BuyItem) obj;
        String orgKey = onlineItem.getIntitemno() + getPmodify();
        String otherKey = other.onlineItem.getIntitemno() + other.getPmodify();
        if (onlineItem == null) {
            if (other.onlineItem != null)
                return false;
        } else if (!orgKey.equals(otherKey))
            return false;
        return true;
    }
}
