package com.bettersoft.api.model;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Item")
public class ItemBean extends BaseBean implements java.io.Serializable {
    private int intItemNo;
    private String strItemNamePOS;
    private String strItemNameBO;
    private String strItemNameShort;
    private String ysnActive;
    private String ysnRecipeItem;
    private String ysnSetMeal;
    private String ysnTrackSerialNo;
    private String ysnChargeService;
    private String ysnDiscountable;
    private String ysnKeepStockCount;
    private String strMinUnit;
    private String ysnAskComment;
    private String ysnPrintComment;
    private String strSMType;
    private String ysnAskPriceIfZero;
    private String strClassify1Code;
    private String strClassify2Code;
    private String strClassify3Code;
    private String strClassify4Code;
    private String strOtherReference1;
    private String strOtherReference2;
    private String strOtherReference3;
    private String strOtherReference4;
    private String strOtherReference5;
    private String strItemProperty1Code;
    private String strItemProperty2Code;
    private String strItemProperty3Code;
    private String strItemProperty4Code;
    private String strItemProperty5Code;
    private String strItemProperty6Code;
    private String strItemProperty7Code;
    private String strItemProperty8Code;
    private String strItemProperty9Code;
    private String strItemProperty10Code;
    private String strSpecification;
    private String strManufacturerCountry;
    private String strSerialNo;
    private String strPurchaseTaxCode;
    private String strSaleTaxCode;
    private String memComments;
    private Date dtmUseBegin;
    private Date dtmUseEnd;
    private String strAvaiSellBeginTime;
    private String strAvaiSellEndTime;
    private String ysnAutoPopupModi;
    private String strRedeemRule;
    private Double dblRedeemValue;
    private Double dblRedeemValue_TWGC;
    private String memAutoPopupMsg;
    private String ysnHoldKP;
    private String ysnAlwaysPrint;
    private Date dtmCreate;
    private Date dtmLastUpdate;
    private String strCreator;
    private String strLastUpdatePerson;
    private String strExtSRef1;

    @Id
    @Column(name = "intItemNo")
    public int getIntItemNo() {
        return intItemNo;
    }

    public void setIntItemNo(int intItemNo) {
        this.intItemNo = intItemNo;
    }

    @Column(name = "strItemNamePOS")
    public String getStrItemNamePOS() {
        return strItemNamePOS;
    }

    public void setStrItemNamePOS(String strItemNamePOS) {
        this.strItemNamePOS = strItemNamePOS;
    }

    @Column(name = "strItemNameBO")
    public String getStrItemNameBO() {
        return strItemNameBO;
    }

    public void setStrItemNameBO(String strItemNameBO) {
        this.strItemNameBO = strItemNameBO;
    }

    @Column(name = "strItemNameShort")
    public String getStrItemNameShort() {
        return strItemNameShort;
    }

    public void setStrItemNameShort(String strItemNameShort) {
        this.strItemNameShort = strItemNameShort;
    }

    @Column(name = "ysnActive")
    public String getYsnActive() {
        return ysnActive;
    }

    public void setYsnActive(String ysnActive) {
        this.ysnActive = ysnActive;
    }

    @Column(name = "ysnRecipeItem")
    public String getYsnRecipeItem() {
        return ysnRecipeItem;
    }

    public void setYsnRecipeItem(String ysnRecipeItem) {
        this.ysnRecipeItem = ysnRecipeItem;
    }

    @Column(name = "ysnSetMeal")
    public String getYsnSetMeal() {
        return ysnSetMeal;
    }

    public void setYsnSetMeal(String ysnSetMeal) {
        this.ysnSetMeal = ysnSetMeal;
    }

    @Column(name = "ysnTrackSerialNo")
    public String getYsnTrackSerialNo() {
        return ysnTrackSerialNo;
    }

    public void setYsnTrackSerialNo(String ysnTrackSerialNo) {
        this.ysnTrackSerialNo = ysnTrackSerialNo;
    }

    @Column(name = "ysnChargeService")
    public String getYsnChargeService() {
        return ysnChargeService;
    }

    public void setYsnChargeService(String ysnChargeService) {
        this.ysnChargeService = ysnChargeService;
    }

    @Column(name = "ysnDiscountable")
    public String getYsnDiscountable() {
        return ysnDiscountable;
    }

    public void setYsnDiscountable(String ysnDiscountable) {
        this.ysnDiscountable = ysnDiscountable;
    }

    @Column(name = "ysnKeepStockCount")
    public String getYsnKeepStockCount() {
        return ysnKeepStockCount;
    }

    public void setYsnKeepStockCount(String ysnKeepStockCount) {
        this.ysnKeepStockCount = ysnKeepStockCount;
    }

    @Column(name = "strMinUnit")
    public String getStrMinUnit() {
        return strMinUnit;
    }

    public void setStrMinUnit(String strMinUnit) {
        this.strMinUnit = strMinUnit;
    }

    @Column(name = "ysnAskComment")
    public String getYsnAskComment() {
        return ysnAskComment;
    }

    public void setYsnAskComment(String ysnAskComment) {
        this.ysnAskComment = ysnAskComment;
    }

    @Column(name = "ysnPrintComment")
    public String getYsnPrintComment() {
        return ysnPrintComment;
    }

    public void setYsnPrintComment(String ysnPrintComment) {
        this.ysnPrintComment = ysnPrintComment;
    }

    @Column(name = "strSMType")
    public String getStrSMType() {
        return strSMType;
    }

    public void setStrSMType(String strSMType) {
        this.strSMType = strSMType;
    }

    @Column(name = "ysnAskPriceIfZero")
    public String getYsnAskPriceIfZero() {
        return ysnAskPriceIfZero;
    }

    public void setYsnAskPriceIfZero(String ysnAskPriceIfZero) {
        this.ysnAskPriceIfZero = ysnAskPriceIfZero;
    }

    @Column(name = "strClassify1Code")
    public String getStrClassify1Code() {
        return strClassify1Code;
    }

    public void setStrClassify1Code(String strClassify1Code) {
        this.strClassify1Code = strClassify1Code;
    }

    @Column(name = "strClassify2Code")
    public String getStrClassify2Code() {
        return strClassify2Code;
    }

    public void setStrClassify2Code(String strClassify2Code) {
        this.strClassify2Code = strClassify2Code;
    }

    @Column(name = "strClassify3Code")
    public String getStrClassify3Code() {
        return strClassify3Code;
    }

    public void setStrClassify3Code(String strClassify3Code) {
        this.strClassify3Code = strClassify3Code;
    }

    @Column(name = "strClassify4Code")
    public String getStrClassify4Code() {
        return strClassify4Code;
    }

    public void setStrClassify4Code(String strClassify4Code) {
        this.strClassify4Code = strClassify4Code;
    }

    @Column(name = "strOtherReference1")
    public String getStrOtherReference1() {
        return strOtherReference1;
    }

    public void setStrOtherReference1(String strOtherReference1) {
        this.strOtherReference1 = strOtherReference1;
    }

    @Column(name = "strOtherReference2")
    public String getStrOtherReference2() {
        return strOtherReference2;
    }

    public void setStrOtherReference2(String strOtherReference2) {
        this.strOtherReference2 = strOtherReference2;
    }

    @Column(name = "strOtherReference3")
    public String getStrOtherReference3() {
        return strOtherReference3;
    }

    public void setStrOtherReference3(String strOtherReference3) {
        this.strOtherReference3 = strOtherReference3;
    }

    @Column(name = "strOtherReference4")
    public String getStrOtherReference4() {
        return strOtherReference4;
    }

    public void setStrOtherReference4(String strOtherReference4) {
        this.strOtherReference4 = strOtherReference4;
    }

    @Column(name = "strOtherReference5")
    public String getStrOtherReference5() {
        return strOtherReference5;
    }

    public void setStrOtherReference5(String strOtherReference5) {
        this.strOtherReference5 = strOtherReference5;
    }

    @Column(name = "strItemProperty1Code")
    public String getStrItemProperty1Code() {
        return strItemProperty1Code;
    }

    public void setStrItemProperty1Code(String strItemProperty1Code) {
        this.strItemProperty1Code = strItemProperty1Code;
    }

    @Column(name = "strItemProperty2Code")
    public String getStrItemProperty2Code() {
        return strItemProperty2Code;
    }

    public void setStrItemProperty2Code(String strItemProperty2Code) {
        this.strItemProperty2Code = strItemProperty2Code;
    }

    @Column(name = "strItemProperty3Code")
    public String getStrItemProperty3Code() {
        return strItemProperty3Code;
    }

    public void setStrItemProperty3Code(String strItemProperty3Code) {
        this.strItemProperty3Code = strItemProperty3Code;
    }

    @Column(name = "strItemProperty4Code")
    public String getStrItemProperty4Code() {
        return strItemProperty4Code;
    }

    public void setStrItemProperty4Code(String strItemProperty4Code) {
        this.strItemProperty4Code = strItemProperty4Code;
    }

    @Column(name = "strItemProperty5Code")
    public String getStrItemProperty5Code() {
        return strItemProperty5Code;
    }

    public void setStrItemProperty5Code(String strItemProperty5Code) {
        this.strItemProperty5Code = strItemProperty5Code;
    }

    @Column(name = "strItemProperty6Code")
    public String getStrItemProperty6Code() {
        return strItemProperty6Code;
    }

    public void setStrItemProperty6Code(String strItemProperty6Code) {
        this.strItemProperty6Code = strItemProperty6Code;
    }

    @Column(name = "strItemProperty7Code")
    public String getStrItemProperty7Code() {
        return strItemProperty7Code;
    }

    public void setStrItemProperty7Code(String strItemProperty7Code) {
        this.strItemProperty7Code = strItemProperty7Code;
    }

    @Column(name = "strItemProperty8Code")
    public String getStrItemProperty8Code() {
        return strItemProperty8Code;
    }

    public void setStrItemProperty8Code(String strItemProperty8Code) {
        this.strItemProperty8Code = strItemProperty8Code;
    }

    @Column(name = "strItemProperty9Code")
    public String getStrItemProperty9Code() {
        return strItemProperty9Code;
    }

    public void setStrItemProperty9Code(String strItemProperty9Code) {
        this.strItemProperty9Code = strItemProperty9Code;
    }

    @Column(name = "strItemProperty10Code")
    public String getStrItemProperty10Code() {
        return strItemProperty10Code;
    }

    public void setStrItemProperty10Code(String strItemProperty10Code) {
        this.strItemProperty10Code = strItemProperty10Code;
    }

    @Column(name = "strSpecification")
    public String getStrSpecification() {
        return strSpecification;
    }

    public void setStrSpecification(String strSpecification) {
        this.strSpecification = strSpecification;
    }

    @Column(name = "strManufacturerCountry")
    public String getStrManufacturerCountry() {
        return strManufacturerCountry;
    }

    public void setStrManufacturerCountry(String strManufacturerCountry) {
        this.strManufacturerCountry = strManufacturerCountry;
    }

    @Column(name = "strSerialNo")
    public String getStrSerialNo() {
        return strSerialNo;
    }

    public void setStrSerialNo(String strSerialNo) {
        this.strSerialNo = strSerialNo;
    }

    @Column(name = "strPurchaseTaxCode")
    public String getStrPurchaseTaxCode() {
        return strPurchaseTaxCode;
    }

    public void setStrPurchaseTaxCode(String strPurchaseTaxCode) {
        this.strPurchaseTaxCode = strPurchaseTaxCode;
    }

    @Column(name = "strSaleTaxCode")
    public String getStrSaleTaxCode() {
        return strSaleTaxCode;
    }

    public void setStrSaleTaxCode(String strSaleTaxCode) {
        this.strSaleTaxCode = strSaleTaxCode;
    }

    @Column(name = "memComments")
    public String getMemComments() {
        return memComments;
    }

    public void setMemComments(String memComments) {
        this.memComments = memComments;
    }

    @Column(name = "dtmUseBegin")
    public Date getDtmUseBegin() {
        return dtmUseBegin;
    }

    public void setDtmUseBegin(Date dtmUseBegin) {
        this.dtmUseBegin = dtmUseBegin;
    }

    @Column(name = "dtmUseEnd")
    public Date getDtmUseEnd() {
        return dtmUseEnd;
    }

    public void setDtmUseEnd(Date dtmUseEnd) {
        this.dtmUseEnd = dtmUseEnd;
    }

    @Column(name = "strAvaiSellBeginTime")
    public String getStrAvaiSellBeginTime() {
        return strAvaiSellBeginTime;
    }

    public void setStrAvaiSellBeginTime(String strAvaiSellBeginTime) {
        this.strAvaiSellBeginTime = strAvaiSellBeginTime;
    }

    @Column(name = "strAvaiSellEndTime")
    public String getStrAvaiSellEndTime() {
        return strAvaiSellEndTime;
    }

    public void setStrAvaiSellEndTime(String strAvaiSellEndTime) {
        this.strAvaiSellEndTime = strAvaiSellEndTime;
    }

    @Column(name = "ysnAutoPopupModi")
    public String getYsnAutoPopupModi() {
        return ysnAutoPopupModi;
    }

    public void setYsnAutoPopupModi(String ysnAutoPopupModi) {
        this.ysnAutoPopupModi = ysnAutoPopupModi;
    }

    @Column(name = "strRedeemRule")
    public String getStrRedeemRule() {
        return strRedeemRule;
    }

    public void setStrRedeemRule(String strRedeemRule) {
        this.strRedeemRule = strRedeemRule;
    }

    @Column(name = "dblRedeemValue")
    public Double getDblRedeemValue() {
        return dblRedeemValue;
    }

    public void setDblRedeemValue(Double dblRedeemValue) {
        this.dblRedeemValue = dblRedeemValue;
    }

    @Column(name = "dblRedeemValue_TWGC")
    public Double getDblRedeemValue_TWGC() {
        return dblRedeemValue_TWGC;
    }

    public void setDblRedeemValue_TWGC(Double dblRedeemValue_TWGC) {
        this.dblRedeemValue_TWGC = dblRedeemValue_TWGC;
    }

    @Column(name = "memAutoPopupMsg")
    public String getMemAutoPopupMsg() {
        return memAutoPopupMsg;
    }

    public void setMemAutoPopupMsg(String memAutoPopupMsg) {
        this.memAutoPopupMsg = memAutoPopupMsg;
    }

    @Column(name = "ysnHoldKP")
    public String getYsnHoldKP() {
        return ysnHoldKP;
    }

    public void setYsnHoldKP(String ysnHoldKP) {
        this.ysnHoldKP = ysnHoldKP;
    }

    @Column(name = "ysnAlwaysPrint")
    public String getYsnAlwaysPrint() {
        return ysnAlwaysPrint;
    }

    public void setYsnAlwaysPrint(String ysnAlwaysPrint) {
        this.ysnAlwaysPrint = ysnAlwaysPrint;
    }

    @Column(name = "dtmCreate")
    public Date getDtmCreate() {
        return dtmCreate;
    }

    public void setDtmCreate(Date dtmCreate) {
        this.dtmCreate = dtmCreate;
    }

    @Column(name = "dtmLastUpdate")
    public Date getDtmLastUpdate() {
        return dtmLastUpdate;
    }

    public void setDtmLastUpdate(Date dtmLastUpdate) {
        this.dtmLastUpdate = dtmLastUpdate;
    }

    @Column(name = "strCreator")
    public String getStrCreator() {
        return strCreator;
    }

    public void setStrCreator(String strCreator) {
        this.strCreator = strCreator;
    }

    @Column(name = "strLastUpdatePerson")
    public String getStrLastUpdatePerson() {
        return strLastUpdatePerson;
    }

    public void setStrLastUpdatePerson(String strLastUpdatePerson) {
        this.strLastUpdatePerson = strLastUpdatePerson;
    }

    @Column(name = "strExtSRef1")
    public String getStrExtSRef1() {
        return strExtSRef1;
    }

    public void setStrExtSRef1(String strExtSRef1) {
        this.strExtSRef1 = strExtSRef1;
    }
}
