package com.bettersoft.api.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.checkerframework.checker.units.qual.C;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.stereotype.Component;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Onlineprepay")
public class OnlinePrepayBean extends BaseBean implements java.io.Serializable
{
	private String brandcode;//
	private String orderno;//
	private String out_trade_no;//
	private Integer paymentcode;//

	private String amount;//
	private Date paydate;//
	private Integer status;//

	private String strstorecode;
	private String remark1;

	
	@Column(name = "brandcode")
	public String getBrandcode() {
		return brandcode;
	}

	public void setBrandcode(String brandcode) {
		this.brandcode = brandcode;
	}
	@Id
	@Column(name = "out_trade_no")
	public String getOut_trade_no() {
		return out_trade_no;
	}


	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
	
	@Column(name = "paymentcode")
	public Integer getPaymentcode() {
		return paymentcode;
	}


	public void setPaymentcode(Integer paymentcode) {
		this.paymentcode = paymentcode;
	}

	@Column(name = "amount")
	public String getAmount() {
		return amount;
	}


	public void setAmount(String amount) {
		this.amount = amount;
	}

	@Column(name = "paydate")
	public Date getPaydate() {
		return paydate;
	}


	public void setPaydate(Date paydate) {
		this.paydate = paydate;
	}

	@Column(name = "status")
	public Integer getStatus() {
		return status;
	}


	public void setStatus(Integer status) {
		this.status = status;
	}

	@Column(name = "orderno")
	public void setOrderno(String orderno) {
		this.orderno = orderno;
	}


	public String getOrderno() {
		return orderno;
	}

	@Column(name = "strstorecode")
	public String getStrstorecode() {
		return strstorecode;
	}

	public void setStrstorecode(String strstorecode) {
		this.strstorecode = strstorecode;
	}

	@Column(name = "remark1")
	public String getRemark1() {
		return remark1;
	}

	public void setRemark1(String remark1) {
		this.remark1 = remark1;
	}
}
