package com.bettersoft.api.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Onlineorderd")
public class OnlineorderdBean extends BaseBean implements java.io.Serializable
{
	private String orderno;//订单号
	private String brandcode;//品牌
	private Integer suborderno;//下单序号
	private Integer line;//行号
	private String linetype;//类型
	private String pname;//商品名
	private String pmodify;//客制化
	private Integer qty;//数量
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private Double price;//单价
	private String discountcode;//折扣编码
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private Double discountamount;//折扣金额
	private String discountname;//折扣名称
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private Double amount;//总金额
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private Double amountafterdiscount;//折后总金额
	private Integer suborderstatus;//子订单状态
	private String remark;//备注
	private Integer orderfrom;//来源
	private Date dtorder;//下单时间
	private Date dtconfirm;//接单时间
	private String confirmuser;//接单人
	private Integer intitemno;

	@Id
	@Column(name = "orderno")
	public String getOrderno() 
	{		
		return orderno;
	}
	public void setOrderno(String orderno) 
	{
		this.orderno = orderno;
	}
	@Id
	@Column(name = "suborderno")
	public Integer getSuborderno()
	{
		return suborderno;
	}
	public void setSuborderno(Integer suborderno)
	{
		this.suborderno = suborderno;
	}
	@Id 
	@Column(name = "line")
	public Integer getLine()
	{
		return line;
	}
	public void setLine(Integer line)
	{
		this.line = line;
	}
	@Column(name = "brandcode")
	public String getBrandcode() 
	{		
		return brandcode;
	}
	public void setBrandcode(String brandcode) 
	{
		this.brandcode = brandcode;
	}
	
	@Column(name = "linetype")
	public String getLinetype() 
	{		
		return linetype;
	}
	public void setLinetype(String linetype) 
	{
		this.linetype = linetype;
	}
	@Column(name = "pname")
	public String getPname() 
	{		
		return pname;
	}
	public void setPname(String pname) 
	{
		this.pname = pname;
	}
	@Column(name = "pmodify")
	public String getPmodify() 
	{		
		return pmodify;
	}
	public void setPmodify(String pmodify) 
	{
		this.pmodify = pmodify;
	}
	@Column(name = "qty")
	public Integer getQty() 
	{		
		return qty;
	}
	public void setQty(Integer qty) 
	{
		this.qty = qty;
	}
	@Column(name = "price")
	public Double getPrice() 
	{		
		return price;
	}
	public void setPrice(Double price) 
	{
		this.price = price;
	}
	@Column(name = "discountcode")
	public String getDiscountcode() 
	{		
		return discountcode;
	}
	public void setDiscountcode(String discountcode) 
	{
		this.discountcode = discountcode;
	}
	@Column(name = "discountamount")
	public Double getDiscountamount() 
	{		
		return discountamount;
	}
	public void setDiscountamount(Double discountamount) 
	{
		this.discountamount = discountamount;
	}
	@Column(name = "discountname")
	public String getDiscountname() 
	{		
		return discountname;
	}
	public void setDiscountname(String discountname) 
	{
		this.discountname = discountname;
	}
	@Column(name = "amount")
	public Double getAmount() 
	{		
		return amount;
	}
	public void setAmount(Double amount) 
	{
		this.amount = amount;
	}
	@Column(name = "amountafterdiscount")
	public Double getAmountafterdiscount() 
	{		
		return amountafterdiscount;
	}
	public void setAmountafterdiscount(Double amountafterdiscount) 
	{
		this.amountafterdiscount = amountafterdiscount;
	}
	@Column(name = "suborderstatus")
	public Integer getSuborderstatus() 
	{		
		return suborderstatus;
	}
	public void setSuborderstatus(Integer suborderstatus) 
	{
		this.suborderstatus = suborderstatus;
	}
	@Column(name = "remark")
	public String getRemark() 
	{		
		return remark;
	}
	public void setRemark(String remark) 
	{
		this.remark = remark;
	}
	@Column(name = "orderfrom")
	public Integer getOrderfrom() 
	{		
		return orderfrom;
	}
	public void setOrderfrom(Integer orderfrom) 
	{
		this.orderfrom = orderfrom;
	}
	@Column(name = "dtorder")
	public Date getDtorder() 
	{		
		return dtorder;
	}
	public void setDtorder(Date dtorder) 
	{
		this.dtorder = dtorder;
	}
	@Column(name = "dtconfirm")
	public Date getDtconfirm() 
	{		
		return dtconfirm;
	}
	public void setDtconfirm(Date dtconfirm) 
	{
		this.dtconfirm = dtconfirm;
	}
	@Column(name = "confirmuser")
	public String getConfirmuser() 
	{		
		return confirmuser;
	}
	public void setConfirmuser(String confirmuser) 
	{
		this.confirmuser = confirmuser;
	}
	@Column(name = "intitemno")
	public Integer getIntitemno() {
		return intitemno;
	}

	public void setIntitemno(Integer intitemno) {
		this.intitemno = intitemno;
	}
}
