package com.bettersoft.api.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "bs_sequence")
public class SequenceBean extends BaseBean implements Serializable {
	private static final long serialVersionUID = 9123183993379071320L;

	private String sequanceName;
	private long sequanceValue;
	private int sequanceLength;

	@Id
	@Column(name = "bs_seqname")
	public String getSequanceName() {
		return sequanceName;
	}

	public void setSequanceName(String sequanceName) {
		this.sequanceName = sequanceName;
	}

	@Column(name = "bs_seqvalue")
	public long getSequanceValue() {
		return sequanceValue;
	}

	public void setSequanceValue(long sequanceValue) {
		this.sequanceValue = sequanceValue;
	}

	@Column(name = "bs_seqlength")
	public int getSequanceLength() {
		return sequanceLength;
	}

	public void setSequanceLength(int sequanceLength) {
		this.sequanceLength = sequanceLength;
	}
}
