package com.bettersoft.api.model;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "Store")
public class StoreBean extends BaseBean implements Serializable {
    private String strStoreCode;
    private String strStoreName;
    private String strStoreType;
    private String ysnActive;
    private String strParentStore;
    private Date dtmTradeBegin;
    private Date dtmTradeEnd;
    private String strPostCode;
    private String strAddr;
    private String strPhone;
    private String strFax;
    private String strMobile;
    private String strEMail;
    private String strContactName;
    private String memComments;
    private String strAreaCode;
    private String strIFStoreCode1;
    private String strIFStoreCode2;
    private String strCompCode;
    private Integer intPosFastKeyNo;
    private String strReserve1;
    private String strReserve2;
    private String strReserve3;
    private String strReserve4;
    private String strReserve5;
    private String strCreator;
    private String strLastUpdatePerson;
    private Date dtmCreate;
    private Date dtmLastUpdate;
    private String strExtSRef1;

    @Id
    @Column(name = "strStoreCode")
    public String getStrStoreCode() {
        return strStoreCode;
    }

    public void setStrStoreCode(String strStoreCode) {
        this.strStoreCode = strStoreCode;
    }

    @Column(name = "strStoreName")
    public String getStrStoreName() {
        return strStoreName;
    }

    public void setStrStoreName(String strStoreName) {
        this.strStoreName = strStoreName;
    }

    @Column(name = "strStoreType")
    public String getStrStoreType() {
        return strStoreType;
    }

    public void setStrStoreType(String strStoreType) {
        this.strStoreType = strStoreType;
    }

    @Column(name = "ysnActive")
    public String getYsnActive() {
        return ysnActive;
    }

    public void setYsnActive(String ysnActive) {
        this.ysnActive = ysnActive;
    }

    @Column(name = "strParentStore")
    public String getStrParentStore() {
        return strParentStore;
    }

    public void setStrParentStore(String strParentStore) {
        this.strParentStore = strParentStore;
    }

    @Column(name = "dtmTradeBegin")
    public Date getDtmTradeBegin() {
        return dtmTradeBegin;
    }

    public void setDtmTradeBegin(Date dtmTradeBegin) {
        this.dtmTradeBegin = dtmTradeBegin;
    }

    @Column(name = "dtmTradeEnd")
    public Date getDtmTradeEnd() {
        return dtmTradeEnd;
    }

    public void setDtmTradeEnd(Date dtmTradeEnd) {
        this.dtmTradeEnd = dtmTradeEnd;
    }

    @Column(name = "strPostCode")
    public String getStrPostCode() {
        return strPostCode;
    }

    public void setStrPostCode(String strPostCode) {
        this.strPostCode = strPostCode;
    }

    @Column(name = "strAddr")
    public String getStrAddr() {
        return strAddr;
    }

    public void setStrAddr(String strAddr) {
        this.strAddr = strAddr;
    }

    @Column(name = "strPhone")
    public String getStrPhone() {
        return strPhone;
    }

    public void setStrPhone(String strPhone) {
        this.strPhone = strPhone;
    }

    @Column(name = "strFax")
    public String getStrFax() {
        return strFax;
    }

    public void setStrFax(String strFax) {
        this.strFax = strFax;
    }

    @Column(name = "strMobile")
    public String getStrMobile() {
        return strMobile;
    }

    public void setStrMobile(String strMobile) {
        this.strMobile = strMobile;
    }

    @Column(name = "strEMail")
    public String getStrEMail() {
        return strEMail;
    }

    public void setStrEMail(String strEMail) {
        this.strEMail = strEMail;
    }

    @Column(name = "strContactName")
    public String getStrContactName() {
        return strContactName;
    }

    public void setStrContactName(String strContactName) {
        this.strContactName = strContactName;
    }

    @Column(name = "memComments")
    public String getMemComments() {
        return memComments;
    }

    public void setMemComments(String memComments) {
        this.memComments = memComments;
    }

    @Column(name = "strAreaCode")
    public String getStrAreaCode() {
        return strAreaCode;
    }

    public void setStrAreaCode(String strAreaCode) {
        this.strAreaCode = strAreaCode;
    }

    @Column(name = "strIFStoreCode1")
    public String getStrIFStoreCode1() {
        return strIFStoreCode1;
    }

    public void setStrIFStoreCode1(String strIFStoreCode1) {
        this.strIFStoreCode1 = strIFStoreCode1;
    }

    @Column(name = "strIFStoreCode2")
    public String getStrIFStoreCode2() {
        return strIFStoreCode2;
    }

    public void setStrIFStoreCode2(String strIFStoreCode2) {
        this.strIFStoreCode2 = strIFStoreCode2;
    }

    @Column(name = "strCompCode")
    public String getStrCompCode() {
        return strCompCode;
    }

    public void setStrCompCode(String strCompCode) {
        this.strCompCode = strCompCode;
    }

    @Column(name = "intPosFastKeyNo")
    public Integer getIntPosFastKeyNo() {
        return intPosFastKeyNo;
    }

    public void setIntPosFastKeyNo(Integer intPosFastKeyNo) {
        this.intPosFastKeyNo = intPosFastKeyNo;
    }

    @Column(name = "strReserve1")
    public String getStrReserve1() {
        return strReserve1;
    }

    public void setStrReserve1(String strReserve1) {
        this.strReserve1 = strReserve1;
    }

    @Column(name = "strReserve2")
    public String getStrReserve2() {
        return strReserve2;
    }

    public void setStrReserve2(String strReserve2) {
        this.strReserve2 = strReserve2;
    }

    @Column(name = "strReserve3")
    public String getStrReserve3() {
        return strReserve3;
    }

    public void setStrReserve3(String strReserve3) {
        this.strReserve3 = strReserve3;
    }

    @Column(name = "strReserve4")
    public String getStrReserve4() {
        return strReserve4;
    }

    public void setStrReserve4(String strReserve4) {
        this.strReserve4 = strReserve4;
    }

    @Column(name = "strReserve5")
    public String getStrReserve5() {
        return strReserve5;
    }

    public void setStrReserve5(String strReserve5) {
        this.strReserve5 = strReserve5;
    }

    @Column(name = "strCreator")
    public String getStrCreator() {
        return strCreator;
    }

    public void setStrCreator(String strCreator) {
        this.strCreator = strCreator;
    }

    @Column(name = "strLastUpdatePerson")
    public String getStrLastUpdatePerson() {
        return strLastUpdatePerson;
    }

    public void setStrLastUpdatePerson(String strLastUpdatePerson) {
        this.strLastUpdatePerson = strLastUpdatePerson;
    }

    @Column(name = "dtmCreate")
    public Date getDtmCreate() {
        return dtmCreate;
    }

    public void setDtmCreate(Date dtmCreate) {
        this.dtmCreate = dtmCreate;
    }

    @Column(name = "dtmLastUpdate")
    public Date getDtmLastUpdate() {
        return dtmLastUpdate;
    }

    public void setDtmLastUpdate(Date dtmLastUpdate) {
        this.dtmLastUpdate = dtmLastUpdate;
    }

    @Column(name = "strExtSRef1")
    public String getStrExtSRef1() {
        return strExtSRef1;
    }

    public void setStrExtSRef1(String strExtSRef1) {
        this.strExtSRef1 = strExtSRef1;
    }
}
