package com.bettersoft.api.service.interfaces;

import java.util.List;
import java.util.Map;

public interface IInitializingDataService {
	public List<Map<String, Object>> getPermissions() throws Exception;

	public Map<String, Object> getPermissionByKey(String key) throws Exception;

	public List<Map<String, Object>> getConfigurations() throws Exception;

	public Map<String, Object> getConfigurationByKey(String key)
			throws Exception;

	public void refreshProvincials() throws Exception;
}
