package com.bettersoft.api.service.interfaces;

import com.bettersoft.api.utils.LoginUserInfo;

import java.util.List;
import java.util.Map;

public interface IOnlineorderPosApiService extends IBaseService {
    public List<String> getUnsettleOrders(Map<String, Object> queryParam) throws Exception;

    public Map<String, Object> getOrderDeatil(String storeCode, String orderNo) throws Exception;

    public Boolean confirmOrder(Map<String, Object> orderParam) throws Exception;
    public void sellOrder(Map<String, Object> orderParam) throws Exception;

    public void offlineOrderSync(Map<String, Object> orderParam, LoginUserInfo loginUser) throws Exception;

    public void onlineOrderSettlement(Map<String, Object> paymentParam, LoginUserInfo loginUser) throws Exception;
}
