package com.bettersoft.api.service.interfaces;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.bettersoft.api.model.OnlineorderhBean;
import com.bettersoft.api.model.OnlineorderpBean;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.OnlineorderpValidate;

public interface IOnlineorderpService extends IBaseService
{
	public Map<String, Object> searchByPage(Map<String, Object> queryParam) throws Exception;

	public void saveOnlineorderp(OnlineorderpValidate onlineorderpValidate, LoginUserInfo loginUser) throws Exception;

	public void updateOnlineorderp(OnlineorderpValidate onlineorderpValidate, LoginUserInfo loginUser) throws Exception;

	public void deleteOnlineorderp(String str, LoginUserInfo loginUser) throws Exception;
	
	public void deleteOnlineorderp(Long l, LoginUserInfo loginUser) throws Exception;
	
	public OnlineorderpBean findOnlineorderp(String str) throws Exception;
	
	public OnlineorderpBean findOnlineorderp(Long l) throws Exception;
	
	public void updateOnlineorderpRemark(String orderNo, int line, String remark) throws Exception ;

    public void insertIntoOnlineOrderp(OnlineorderhBean onlineorderhBean, JSONObject resAsJson) throws Exception;
}
