package com.bettersoft.api.service.interfaces;

import java.util.Map;

import com.bettersoft.api.model.OnlinestoreBean;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.OnlinestoreValidate;

public interface IOnlinestoreService extends IBaseService
{
	public Map<String, Object> searchByPage(Map<String, Object> queryParam) throws Exception;

	public void saveOnlinestore(OnlinestoreValidate onlinestoreValidate, LoginUserInfo loginUser) throws Exception;

	public void updateOnlinestore(String strstorecodes, Integer status, LoginUserInfo loginUser) throws Exception;

	public void deleteOnlinestore(String str, LoginUserInfo loginUser) throws Exception;
	
	public void deleteOnlinestore(Long l, LoginUserInfo loginUser) throws Exception;
	
	public OnlinestoreBean findOnlinestore(String str) throws Exception;
	
	public OnlinestoreBean findOnlinestore(Long l) throws Exception;
}
