package com.bettersoft.api.service.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.ProvincialAreaValidate;

public interface IProvincialAreaService extends IBaseService {
	public ProvincialAreaValidate findProvincialByCode(String areaCode)
			throws Exception;

	public Map<String, Object> searchProvincials(Map<String, Object> queryParam)
			throws Exception;

	public List<Map<String, Object>> searchProvincialList(
			Map<String, Object> queryParam) throws Exception;

	public void saveProvincial(ProvincialAreaValidate provincialValidate,
			LoginUserInfo loginUser) throws Exception;

	public void updateProvincial(ProvincialAreaValidate provincialValidate,
			LoginUserInfo loginUser) throws Exception;

	public void deleteProvincial(String areaCode, LoginUserInfo loginUser)
			throws Exception;
}
