package com.bettersoft.api.service.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.SystemDepartmentBean;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.SystemDepartmentValidate;

public interface ISystemDepartmentService extends IBaseService {
	public SystemDepartmentBean searchDepatmentByCode(String departmentCode)
			throws Exception;

	public Map<String, Object> searchDepartments(Map<String, Object> queryParam)
			throws Exception;

	public Map<String, Object> searchDepartment(Map<String, Object> queryParam)
			throws Exception;
	
	public List<SystemDepartmentBean> searchDepartmentTree(
			Map<String, Object> queryParam) throws Exception;

	public void saveDepartment(SystemDepartmentValidate departmentValidate,
			LoginUserInfo loginUser) throws Exception;

	public void updateDepartment(SystemDepartmentValidate departmentValidate,
			LoginUserInfo loginUser) throws Exception;

	public void deleteDepartment(String departmentCode) throws Exception;
}
