package com.bettersoft.api.service.interfaces;

import java.util.Map;

import com.bettersoft.api.model.SystemPermissionBean;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.SystemPermissionValidate;

public interface ISystemPermissionService extends IBaseService {
	public SystemPermissionBean findPermissionByCode(String permissionCode)
			throws Exception;

	public Map<String, Object> searchPermissions(Map<String, Object> queryParam)
			throws Exception;

	public void savePermission(SystemPermissionValidate peremissionValidate,
			LoginUserInfo loginUser) throws Exception;

	public void updatePermission(SystemPermissionValidate peremissionValidate,
			LoginUserInfo loginUser) throws Exception;

	public void deletePermission(String permissionCode) throws Exception;
}
