package com.bettersoft.api.service.interfaces;

import java.util.List;
import java.util.Map;

import com.bettersoft.api.model.MenuTreeBean;
import com.bettersoft.api.model.SystemDepartmentBean;
import com.bettersoft.api.utils.LoginUserInfo;
import com.bettersoft.api.validmodel.SystemRoleValidate;

public interface ISystemRoleService extends IBaseService {
	public SystemRoleValidate findRoleByCode(String roleCode) throws Exception;

	public Map<String, Object> searchRoles(Map<String, Object> queryParam)
			throws Exception;

	public List<MenuTreeBean> searchMenus() throws Exception;

	public List<SystemDepartmentBean> searchDepartments() throws Exception;

	public void saveRole(SystemRoleValidate roleValidate,
			LoginUserInfo loginUser) throws Exception;

	public void updateRole(SystemRoleValidate roleValidate,
			LoginUserInfo loginUser) throws Exception;

	public void deleteRole(String roleCode) throws Exception;
}
