package com.bettersoft.api.task;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;

import com.bettersoft.api.service.interfaces.IOnlinePrepayService;

public class OnlineOrderDeleteTask {
	private static Logger logger = Logger.getLogger(OnlineOrderDeleteTask.class);
	@Autowired
	private IOnlinePrepayService onlinePrepayService ;
	public void executeTask() {
		synchronized (this) {
			try {
				
				logger.info("--------------------------------executeDeleteTask:start-----------------------------------------------");
				
				onlinePrepayService.deletePrepay();
				
				logger.info("--------------------------------executeDeleteTask: end-----------------------------------------------");
				
			} catch (Exception e) {
				logger.error("OnlineOrderTask error", e);
			}
		}
	}
}
