package com.bettersoft.api.validmodel;

import java.util.Date;

import javax.persistence.Column;

import com.bettersoft.api.annotation.FieldCommon;

public class OnlineorderdValidate extends BaseValidate {
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "订单号")
    private String orderno;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "品牌")
    private String brandcode;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "下单序号")
    private int suborderno;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "行号")
    private int line;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "类型")
    private String linetype;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "商品名")
    private String pname;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "客制化")
    private String pmodify;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "数量")
    private int qty;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "单价")
    private Double price;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "折扣编码")
    private String discountcode;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "折扣金额")
    private Double discountamount;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "折扣名称")
    private String discountname;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "总金额")
    private Double amount;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "折后总金额")
    private Double amountafterdiscount;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "子订单状态")
    private int suborderstatus;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "备注")
    private String remark;
    //@NotBlank(message = "{field.notempty}")
    //@Size(max = 10, message = "{field.length}")
    //@Pattern(regexp = "^[a-zA-Z0-9]+$", message = "{field.format}")
    @FieldCommon(common = "来源")
    private int orderfrom;

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno;
    }

    public String getBrandcode() {
        return brandcode;
    }

    public void setBrandcode(String brandcode) {
        this.brandcode = brandcode;
    }

    public int getSuborderno() {
        return suborderno;
    }

    public void setSuborderno(int suborderno) {
        this.suborderno = suborderno;
    }

    public int getLine() {
        return line;
    }

    public void setLine(int line) {
        this.line = line;
    }

    public String getLinetype() {
        return linetype;
    }

    public void setLinetype(String linetype) {
        this.linetype = linetype;
    }

    public String getPname() {
        return pname;
    }

    public void setPname(String pname) {
        this.pname = pname;
    }

    public String getPmodify() {
        return pmodify;
    }

    public void setPmodify(String pmodify) {
        this.pmodify = pmodify;
    }

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getDiscountcode() {
        return discountcode;
    }

    public void setDiscountcode(String discountcode) {
        this.discountcode = discountcode;
    }

    public Double getDiscountamount() {
        return discountamount;
    }

    public void setDiscountamount(Double discountamount) {
        this.discountamount = discountamount;
    }

    public String getDiscountname() {
        return discountname;
    }

    public void setDiscountname(String discountname) {
        this.discountname = discountname;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Double getAmountafterdiscount() {
        return amountafterdiscount;
    }

    public void setAmountafterdiscount(Double amountafterdiscount) {
        this.amountafterdiscount = amountafterdiscount;
    }

    public int getSuborderstatus() {
        return suborderstatus;
    }

    public void setSuborderstatus(int suborderstatus) {
        this.suborderstatus = suborderstatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getOrderfrom() {
        return orderfrom;
    }

    public void setOrderfrom(int orderfrom) {
        this.orderfrom = orderfrom;
    }
}
