package com.bettersoft.api.validmodel;

import com.bettersoft.api.utils.StringDigestUtil;
import org.hibernate.validator.constraints.NotBlank;

public class PosParameterValidate extends BaseValidate {
    @NotBlank(message = "{field.notempty}")
    private String appid;
    @NotBlank(message = "{field.notempty}")
    private String ts;
    @NotBlank(message = "{field.notempty}")
    private String sign;
    @NotBlank(message = "{field.notempty}")
    private String method;
    private String para;

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getPara() {
        return para;
    }

    public void setPara(String para) {
        this.para = para;
    }

    public boolean validateParameter(String secret) {
        return this.sign.equals(StringDigestUtil.encodeMD5Hex(this.appid + secret + this.ts));
    }
}
